View Issue Details

IDProjectCategoryView StatusLast Update
0023495LazarusPatchpublic2012-12-21 23:44
ReporterJanusz TomczakAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023495: SynHighlighterHTML - section !DOCTYPE
DescriptionPlease commit the patch.
TagsNo tags attached.
Fixed in Revision39562
LazTarget1.2
Widgetset
Attached Files
  • synhighlighterhtml_new.patch (5,784 bytes)
    --- C:/Users/pc/AppData/Local/Temp/synhighlighterhtml.pp-revBASE.svn002.tmp.pp	Wt cze 26 00:49:31 2012
    +++ C:/lazarus/components/synedit/synhighlighterhtml.pp	N gru 16 13:20:51 2012
    @@ -27,7 +27,7 @@
     If you do not delete the provisions above, a recipient may use your version
     of this file under either the MPL or the GPL.
     
    -$Id: synhighlighterhtml.pp 37782 2012-06-25 22:49:31Z martin $
    +$Id: synhighlighterhtml.pp $
     
     You may retrieve the latest version of this file at the SynEdit home page,
     located at http://SynEdit.SourceForge.net
    @@ -218,16 +218,17 @@
     
     type
       TtkTokenKind = (tkAmpersand, tkASP, tkCDATA, tkComment, tkIdentifier, tkKey, tkNull,
    -    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue);
    +    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue, tkDOCTYPE);
     
       TRangeState = (rsAmpersand, rsASP, rsCDATA, rsComment, rsKey, rsParam, rsText,
    -    rsUnKnown, rsValue);
    +    rsUnKnown, rsValue, rsDOCTYPE);
     
      THtmlCodeFoldBlockType = (
         cfbtHtmlNode,     // <foo>...</node>
         cfbtHtmlComment,  // <!-- -->
         cfbtHtmlAsp,  // <% asp  %>
         cfbtHtmlCDATA, // <![CDATA[ data ]]>
    +    cfbtHtmlDOCTYPE, // <!DOCTYPE data>
         // internal types / not configurable
         cfbtHtmlNone
       );
    @@ -257,6 +258,7 @@
         fAndAttri: TSynHighlighterAttributes;
         fASPAttri: TSynHighlighterAttributes;
         fCDATAAttri: TSynHighlighterAttributes;
    +    fDOCTYPEAttri: TSynHighlighterAttributes;
         fCommentAttri: TSynHighlighterAttributes;
         fIdentifierAttri: TSynHighlighterAttributes;
         fKeyAttri: TSynHighlighterAttributes;
    @@ -434,6 +436,7 @@
         procedure MakeMethodTables;
         procedure ASPProc;
         procedure CDATAProc;
    +    procedure DOCTYPEProc;
         procedure SetMode(const AValue: TSynHTMLSynMode);
         procedure TextProc;
         procedure CommentProc;
    @@ -485,6 +488,7 @@
         property AndAttri: TSynHighlighterAttributes read fAndAttri write fAndAttri;
         property ASPAttri: TSynHighlighterAttributes read fASPAttri write fASPAttri;
         property CDATAAttri: TSynHighlighterAttributes read fCDATAAttri write fCDATAAttri;
    +    property DOCTYPEAttri: TSynHighlighterAttributes read fDOCTYPEAttri write fDOCTYPEAttri;
         property CommentAttri: TSynHighlighterAttributes read fCommentAttri
           write fCommentAttri;
         property IdentifierAttri: TSynHighlighterAttributes read fIdentifierAttri
    @@ -2289,6 +2293,12 @@
       fCDATAAttri.Foreground := clGreen;
       AddAttribute(fCDATAAttri);
     
    +  fDOCTYPEAttri := TSynHighlighterAttributes.Create(SYNS_AttrDOCTYPE, SYNS_XML_AttrDOCTYPE);
    +  fDOCTYPEAttri.Foreground := clBlack;
    +  fDOCTYPEAttri.Background := clYellow;
    +  fDOCTYPEAttri.Style := [fsBold];
    +  AddAttribute(fDOCTYPEAttri);
    +
       fCommentAttri := TSynHighlighterAttributes.Create(SYNS_AttrComment, SYNS_XML_AttrComment);
       AddAttribute(fCommentAttri);
     
    @@ -2383,6 +2393,27 @@
       end;
     end;
     
    +procedure TSynHTMLSyn.DOCTYPEProc;
    +begin
    +  fTokenID := tkDOCTYPE;
    +  if (fLine[Run] In [#0, #10, #13]) then begin
    +    fProcTable[fLine[Run]];
    +    Exit;
    +  end;
    +
    +  while not (fLine[Run] in [#0, #10, #13]) do begin
    +    if (fLine[Run] = '>')
    +    then begin
    +      fRange := rsText;
    +      Inc(Run);
    +      //if TopHtmlCodeFoldBlockType = cfbtHtmlCDATA then
    +       // EndHtmlNodeCodeFoldBlock;
    +      break;
    +    end;
    +    Inc(Run);
    +  end;
    +end;
    +
     procedure TSynHTMLSyn.SetMode(const AValue: TSynHTMLSynMode);
     begin
       if FMode = AValue then exit;
    @@ -2428,28 +2459,39 @@
     begin
       fSimpleTag := False;
       Inc(Run);
    -  if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-')
    -  then begin
    +  if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-') then
    +  begin
         fRange := rsComment;
         fTokenID := tkComment;
         StartHtmlCodeFoldBlock(cfbtHtmlComment);
         Inc(Run, 3);
    -  end
    -  else if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (fLine[Run + 1] = '[')
    +  end else
    +  if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (fLine[Run + 1] = '[')
       and (fLine[Run + 2] = 'C') and (fLine[Run + 3] = 'D') and (fLine[Run + 4] = 'A')
    -  and (fLine[Run + 5] = 'T') and (fLine[Run + 6] = 'A') and (fLine[Run + 7] = '[') then begin
    +  and (fLine[Run + 5] = 'T') and (fLine[Run + 6] = 'A') and (fLine[Run + 7] = '[') then
    +  begin
         fRange := rsCDATA;
         fTokenID := tkCDATA;
         StartHtmlCodeFoldBlock(cfbtHtmlCDATA);
         Inc(Run);
    -  end
    -  else if fLine[Run]= '%' then begin
    +  end else
    +  if fLine[Run]= '%' then
    +  begin
         fRange := rsASP;
         fTokenID := tkASP;
         StartHtmlCodeFoldBlock(cfbtHtmlAsp);
         Inc(Run);
    -  end
    -  else begin
    +  end else
    +  if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (upcase(fLine[Run + 1]) = 'D')
    +  and (upcase(fLine[Run + 2]) = 'O') and (upcase(fLine[Run + 3]) = 'C') and (upcase(fLine[Run + 4]) = 'T')
    +  and (upcase(fLine[Run + 5]) = 'Y') and (upcase(fLine[Run + 6]) = 'P') and (upcase(fLine[Run + 7]) = 'E') then
    +  begin
    +    fRange := rsDOCTYPE;
    +    fTokenID := tkDOCTYPE;
    +    //StartHtmlCodeFoldBlock(cfbtHtmlDOCTYPE);
    +    Inc(Run);
    +  end else
    +  begin
         fRange := rsKey;
         fTokenID := tkSymbol;
       end;
    @@ -2610,6 +2652,10 @@
         begin
           CDATAProc;
         end;
    +  rsDOCTYPE:
    +    begin
    +      DOCTYPEProc;
    +    end;
       else
         fProcTable[fLine[Run]];
       end;
    @@ -2658,6 +2704,7 @@
         tkAmpersand: Result := fAndAttri;
         tkASP: Result := fASPAttri;
         tkCDATA: Result := fCDATAAttri;
    +    tkDOCTYPE: Result := fDOCTYPEAttri;
         tkComment: Result := fCommentAttri;
         tkIdentifier: Result := fIdentifierAttri;
         tkKey: Result := fKeyAttri;
    
  • synhighlighterhtml_new2.patch (4,605 bytes)
    --- C:/Users/pc/AppData/Local/Temp/synhighlighterhtml.pp-revBASE.svn005.tmp.pp	Wt cze 26 00:49:31 2012
    +++ C:/lazarus/components/synedit/synhighlighterhtml.pp	N gru 16 17:16:35 2012
    @@ -27,7 +27,7 @@
     If you do not delete the provisions above, a recipient may use your version
     of this file under either the MPL or the GPL.
     
    -$Id: synhighlighterhtml.pp 37782 2012-06-25 22:49:31Z martin $
    +$Id$
     
     You may retrieve the latest version of this file at the SynEdit home page,
     located at http://SynEdit.SourceForge.net
    @@ -218,16 +218,17 @@
     
     type
       TtkTokenKind = (tkAmpersand, tkASP, tkCDATA, tkComment, tkIdentifier, tkKey, tkNull,
    -    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue);
    +    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue, tkDOCTYPE);
     
       TRangeState = (rsAmpersand, rsASP, rsCDATA, rsComment, rsKey, rsParam, rsText,
    -    rsUnKnown, rsValue);
    +    rsUnKnown, rsValue, rsDOCTYPE);
     
      THtmlCodeFoldBlockType = (
         cfbtHtmlNode,     // <foo>...</node>
         cfbtHtmlComment,  // <!-- -->
         cfbtHtmlAsp,  // <% asp  %>
         cfbtHtmlCDATA, // <![CDATA[ data ]]>
    +    cfbtHtmlDOCTYPE, // <!DOCTYPE data>
         // internal types / not configurable
         cfbtHtmlNone
       );
    @@ -257,6 +258,7 @@
         fAndAttri: TSynHighlighterAttributes;
         fASPAttri: TSynHighlighterAttributes;
         fCDATAAttri: TSynHighlighterAttributes;
    +    fDOCTYPEAttri: TSynHighlighterAttributes;
         fCommentAttri: TSynHighlighterAttributes;
         fIdentifierAttri: TSynHighlighterAttributes;
         fKeyAttri: TSynHighlighterAttributes;
    @@ -434,6 +436,7 @@
         procedure MakeMethodTables;
         procedure ASPProc;
         procedure CDATAProc;
    +    procedure DOCTYPEProc;
         procedure SetMode(const AValue: TSynHTMLSynMode);
         procedure TextProc;
         procedure CommentProc;
    @@ -485,6 +488,7 @@
         property AndAttri: TSynHighlighterAttributes read fAndAttri write fAndAttri;
         property ASPAttri: TSynHighlighterAttributes read fASPAttri write fASPAttri;
         property CDATAAttri: TSynHighlighterAttributes read fCDATAAttri write fCDATAAttri;
    +    property DOCTYPEAttri: TSynHighlighterAttributes read fDOCTYPEAttri write fDOCTYPEAttri;
         property CommentAttri: TSynHighlighterAttributes read fCommentAttri
           write fCommentAttri;
         property IdentifierAttri: TSynHighlighterAttributes read fIdentifierAttri
    @@ -2289,6 +2293,12 @@
       fCDATAAttri.Foreground := clGreen;
       AddAttribute(fCDATAAttri);
     
    +  fDOCTYPEAttri := TSynHighlighterAttributes.Create(SYNS_AttrDOCTYPE, SYNS_XML_AttrDOCTYPE);
    +  fDOCTYPEAttri.Foreground := clBlack;
    +  fDOCTYPEAttri.Background := clYellow;
    +  fDOCTYPEAttri.Style := [fsBold];
    +  AddAttribute(fDOCTYPEAttri);
    +
       fCommentAttri := TSynHighlighterAttributes.Create(SYNS_AttrComment, SYNS_XML_AttrComment);
       AddAttribute(fCommentAttri);
     
    @@ -2383,6 +2393,27 @@
       end;
     end;
     
    +procedure TSynHTMLSyn.DOCTYPEProc;
    +begin
    +  fTokenID := tkDOCTYPE;
    +  if (fLine[Run] In [#0, #10, #13]) then begin
    +    fProcTable[fLine[Run]];
    +    Exit;
    +  end;
    +
    +  while not (fLine[Run] in [#0, #10, #13]) do begin
    +    if (fLine[Run] = '>')
    +    then begin
    +      fRange := rsText;
    +      Inc(Run);
    +      //if TopHtmlCodeFoldBlockType = cfbtHtmlCDATA then
    +       // EndHtmlNodeCodeFoldBlock;
    +      break;
    +    end;
    +    Inc(Run);
    +  end;
    +end;
    +
     procedure TSynHTMLSyn.SetMode(const AValue: TSynHTMLSynMode);
     begin
       if FMode = AValue then exit;
    @@ -2449,7 +2480,16 @@
         StartHtmlCodeFoldBlock(cfbtHtmlAsp);
         Inc(Run);
       end
    -  else begin
    +  else if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (upcase(fLine[Run + 1]) = 'D')
    +  and (upcase(fLine[Run + 2]) = 'O') and (upcase(fLine[Run + 3]) = 'C') and (upcase(fLine[Run + 4]) = 'T')
    +  and (upcase(fLine[Run + 5]) = 'Y') and (upcase(fLine[Run + 6]) = 'P') and (upcase(fLine[Run + 7]) = 'E') then 
    +  begin
    +    fRange := rsDOCTYPE;
    +    fTokenID := tkDOCTYPE;
    +    //StartHtmlCodeFoldBlock(cfbtHtmlDOCTYPE);
    +    Inc(Run);
    +  end else
    +  begin
         fRange := rsKey;
         fTokenID := tkSymbol;
       end;
    @@ -2610,6 +2650,10 @@
         begin
           CDATAProc;
         end;
    +  rsDOCTYPE:
    +    begin
    +      DOCTYPEProc;
    +    end;
       else
         fProcTable[fLine[Run]];
       end;
    @@ -2658,6 +2702,7 @@
         tkAmpersand: Result := fAndAttri;
         tkASP: Result := fASPAttri;
         tkCDATA: Result := fCDATAAttri;
    +    tkDOCTYPE: Result := fDOCTYPEAttri;
         tkComment: Result := fCommentAttri;
         tkIdentifier: Result := fIdentifierAttri;
         tkKey: Result := fKeyAttri;
    
  • syneditstrconst_new.patch (45,432 bytes)
    --- C:/Users/pc/AppData/Local/Temp/syneditstrconst.pp-revBASE.svn000.tmp.pp	So cze  2 23:19:37 2012
    +++ C:/lazarus/components/synedit/syneditstrconst.pp	N gru 16 17:12:33 2012
    @@ -1,428 +1,430 @@
    -{-------------------------------------------------------------------------------
    -The contents of this file are subject to the Mozilla Public License
    -Version 1.1 (the "License"); you may not use this file except in compliance
    -with the License. You may obtain a copy of the License at
    -http://www.mozilla.org/MPL/
    -
    -Software distributed under the License is distributed on an "AS IS" basis,
    -WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
    -the specific language governing rights and limitations under the License.
    -
    -The Original Code is: SynEditStrConst.pas, released 2000-04-07.
    -The Original Code is based on mwLocalStr.pas by Michael Hieke, part of the
    -mwEdit component suite.
    -All Rights Reserved.
    -
    -Contributors to the SynEdit and mwEdit projects are listed in the
    -Contributors.txt file.
    -
    -Alternatively, the contents of this file may be used under the terms of the
    -GNU General Public License Version 2 or later (the "GPL"), in which case
    -the provisions of the GPL are applicable instead of those above.
    -If you wish to allow use of your version of this file only under the terms
    -of the GPL and not to allow others to use your version of this file
    -under the MPL, indicate your decision by deleting the provisions above and
    -replace them with the notice and other provisions required by the GPL.
    -If you do not delete the provisions above, a recipient may use your version
    -of this file under either the MPL or the GPL.
    -
    -$Id: syneditstrconst.pp 37490 2012-06-02 21:19:37Z martin $
    -
    -You may retrieve the latest version of this file at the SynEdit home page,
    -located at http://SynEdit.SourceForge.net
    -
    -Known Issues:
    --------------------------------------------------------------------------------}
    -
    -unit SynEditStrConst;
    -
    -{$I synedit.inc}
    -
    -interface
    -
    -// NOTE: this is design-time stuff, so no need to have it in stringtables
    -const
    -  SYNS_ComponentsPage           =  'SynEdit';
    -  SYNS_HighlightersPage         =  'SynEdit Highlighters';
    -
    -resourcestring
    -  (* IMPORTANT
    -     If you add any Names, also add a unique identifier to the list in the const section below
    -  *)
    -
    -  (* Attribute Names *)
    -  SYNS_Untitled                 =  'Untitled';
    -  // names for highlighter attributes
    -  SYNS_AttrASP                  =  'Asp';
    -  SYNS_AttrCDATA                =  'CDATA';
    -  SYNS_AttrAssembler            =  'Assembler';
    -  SYNS_AttrAttributeName        =  'Attribute Name';
    -  SYNS_AttrAttributeValue       =  'Attribute Value';
    -  SYNS_AttrBlock                =  'Block';
    -  SYNS_AttrBrackets             =  'Brackets';
    -  SYNS_AttrCDATASection         =  'CDATA Section';
    -  SYNS_AttrCharacter            =  'Character';
    -  SYNS_AttrClass                =  'Class';
    -  SYNS_AttrComment              =  'Comment';
    -  SYNS_AttrIDEDirective         =  'IDE Directive';
    -  SYNS_AttrCondition            =  'Condition';
    -  SYNS_AttrDataType             =  'Data type';
    -  SYNS_AttrDefaultPackage       =  'Default packages';
    -  SYNS_AttrDir                  =  'Direction';
    -  SYNS_AttrDirective            =  'Directive';
    -  SYNS_AttrDOCTYPESection       =  'DOCTYPE Section';
    -  SYNS_AttrDocumentation        =  'Documentation';
    -  SYNS_AttrElementName          =  'Element Name';
    -  SYNS_AttrEmbedSQL             =  'Embedded SQL';
    -  SYNS_AttrEmbedText            =  'Embedded text';
    -  SYNS_AttrEntityReference      =  'Entity Reference';
    -  SYNS_AttrEscapeAmpersand      =  'Escape ampersand';
    -  SYNS_AttrEvent                =  'Event';
    -  SYNS_AttrException            =  'Exception';
    -  SYNS_AttrFloat                =  'Float';
    -  SYNS_AttrForm                 =  'Form';
    -  SYNS_AttrFunction             =  'Function';
    -  SYNS_AttrHexadecimal          =  'Hexadecimal';
    -  SYNS_AttrIcon                 =  'Icon reference';
    -  SYNS_AttrIdentifier           =  'Identifier';
    -  SYNS_AttrIllegalChar          =  'Illegal char';
    -  SYNS_AttrInclude              =  'Include';
    -  SYNS_AttrIndirect             =  'Indirect';
    -  SYNS_AttrInvalidSymbol        =  'Invalid symbol';
    -  SYNS_AttrInternalFunction     =  'Internal function';
    -  SYNS_AttrKey                  =  'Key';
    -  SYNS_AttrLabel                =  'Label';
    -  SYNS_AttrMacro                =  'Macro';
    -  SYNS_AttrMarker               =  'Marker';
    -  SYNS_AttrMessage              =  'Message';
    -  SYNS_AttrMiscellaneous        =  'Miscellaneous';
    -  SYNS_AttrNamespaceAttrName    =  'Namespace Attribute Name';
    -  SYNS_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
    -  SYNS_AttrNonReservedKeyword   =  'Non-reserved keyword';
    -  SYNS_AttrNull                 =  'Null';
    -  SYNS_AttrNumber               =  'Number';
    -  SYNS_AttrOctal                =  'Octal';
    -  SYNS_AttrOperator             =  'Operator';
    -  SYNS_AttrPLSQL                =  'Reserved word (PL/SQL)';
    -  SYNS_AttrPragma               =  'Pragma';
    -  SYNS_AttrPreprocessor         =  'Preprocessor';
    -  SYNS_AttrProcessingInstr      =  'Processing Instruction';
    -  SYNS_AttrQualifier            =  'Qualifier';
    -  SYNS_AttrRegister             =  'Register';
    -  SYNS_AttrReservedWord         =  'Reserved word';
    -  SYNS_AttrRpl                  =  'Rpl';
    -  SYNS_AttrRplKey               =  'Rpl key';
    -  SYNS_AttrRplComment           =  'Rpl comment';
    -  SYNS_AttrSASM                 =  'SASM';
    -  SYNS_AttrSASMComment          =  'SASM Comment';
    -  SYNS_AttrSASMKey              =  'SASM Key';
    -  SYNS_AttrSecondReservedWord   =  'Second reserved word';
    -  SYNS_AttrSection              =  'Section';
    -  SYNS_AttrSpace                =  'Space';
    -  SYNS_AttrSpecialVariable      =  'Special variable';
    -  SYNS_AttrSQLKey               =  'SQL keyword';  
    -  SYNS_AttrSQLPlus              =  'SQL*Plus command';
    -  SYNS_AttrString               =  'String';
    -  SYNS_AttrSymbol               =  'Symbol';
    -  SYNS_AttrCaseLabel            =  'Case label';
    -  SYNS_AttrSyntaxError          =  'SyntaxError';
    -  SYNS_AttrSystem               =  'System functions and variables';
    -  SYNS_AttrSystemValue          =  'System value';
    -  SYNS_AttrTerminator           =  'Terminator';
    -  SYNS_AttrText                 =  'Text';
    -  SYNS_AttrUnknownWord          =  'Unknown word';
    -  SYNS_AttrUser                 =  'User functions and variables';
    -  SYNS_AttrUserFunction         =  'User functions';
    -  SYNS_AttrValue                =  'Value';
    -  SYNS_AttrVariable             =  'Variable';
    -  SYNS_AttrWhitespace           =  'Whitespace';
    -  SYNS_AttrTableName            =  'Table Name';
    -  SYNS_AttrMathMode             =  'Math Mode';
    -  SYNS_AttrTextMathMode         =  'Text in Math Mode';
    -  SYNS_AttrSquareBracket        =  'Square Bracket';
    -  SYNS_AttrRoundBracket         =  'Round Bracket';
    -  SYNS_AttrTeXCommand           =  'TeX Command';
    -  SYNS_AttrOrigFile             =  'Diff Original File';
    -  SYNS_AttrNewFile              =  'Diff New File';
    -  SYNS_AttrChunkMarker          =  'Diff Chunk Marker';
    -  SYNS_AttrChunkOrig            =  'Diff Chunk Original Line Count';
    -  SYNS_AttrChunkNew             =  'Diff Chunk New Line Count';
    -  SYNS_AttrChunkMixed           =  'Diff Chunk Line Counts';
    -  SYNS_AttrLineAdded            =  'Diff Added line';
    -  SYNS_AttrLineRemoved          =  'Diff Removed Line';
    -  SYNS_AttrLineChanged          =  'Diff Changed Line';
    -  SYNS_AttrLineContext          =  'Diff Context Line';
    -  SYNS_AttrPrevValue            =  'Previous value';
    -  SYNS_AttrFlags                =  'Flags';
    -  (* End of Attribute Names *)
    -
    -const
    -  (* IMPORTANT
    -     The highlight attribute "StoredName" are the only independent
    -     identification of Attributes.
    -     They must be UNIQUE and UNCHANGED.
    -
    -  *)
    -
    -  (* Stored Attribute Names *)
    -  SYNS_XML_Untitled                 =  'Untitled';
    -  SYNS_XML_AttrASP                  =  'Asp';
    -  SYNS_XML_AttrCDATA                =  'CDATA';
    -  SYNS_XML_AttrAssembler            =  'Assembler';
    -  SYNS_XML_AttrAttributeName        =  'Attribute Name';
    -  SYNS_XML_AttrAttributeValue       =  'Attribute Value';
    -  SYNS_XML_AttrBlock                =  'Block';
    -  SYNS_XML_AttrBrackets             =  'Brackets';
    -  SYNS_XML_AttrCDATASection         =  'CDATA Section';
    -  SYNS_XML_AttrCharacter            =  'Character';
    -  SYNS_XML_AttrClass                =  'Class';
    -  SYNS_XML_AttrComment              =  'Comment';
    -  SYNS_XML_AttrIDEDirective         =  'IDE Directive';
    -  SYNS_XML_AttrCondition            =  'Condition';
    -  SYNS_XML_AttrDataType             =  'Data type';
    -  SYNS_XML_AttrDefaultPackage       =  'Default packages';
    -  SYNS_XML_AttrDir                  =  'Direction';
    -  SYNS_XML_AttrDirective            =  'Directive';
    -  SYNS_XML_AttrDOCTYPESection       =  'DOCTYPE Section';
    -  SYNS_XML_AttrDocumentation        =  'Documentation';
    -  SYNS_XML_AttrElementName          =  'Element Name';
    -  SYNS_XML_AttrEmbedSQL             =  'Embedded SQL';
    -  SYNS_XML_AttrEmbedText            =  'Embedded text';
    -  SYNS_XML_AttrEntityReference      =  'Entity Reference';
    -  SYNS_XML_AttrEscapeAmpersand      =  'Escape ampersand';
    -  SYNS_XML_AttrEvent                =  'Event';
    -  SYNS_XML_AttrException            =  'Exception';
    -  SYNS_XML_AttrFloat                =  'Float';
    -  SYNS_XML_AttrForm                 =  'Form';
    -  SYNS_XML_AttrFunction             =  'Function';
    -  SYNS_XML_AttrHexadecimal          =  'Hexadecimal';
    -  SYNS_XML_AttrIcon                 =  'Icon reference';
    -  SYNS_XML_AttrIdentifier           =  'Identifier';
    -  SYNS_XML_AttrIllegalChar          =  'Illegal char';
    -  SYNS_XML_AttrInclude              =  'Include';
    -  SYNS_XML_AttrIndirect             =  'Indirect';
    -  SYNS_XML_AttrInvalidSymbol        =  'Invalid symbol';
    -  SYNS_XML_AttrInternalFunction     =  'Internal function';
    -  SYNS_XML_AttrKey                  =  'Key';
    -  SYNS_XML_AttrLabel                =  'Label';
    -  SYNS_XML_AttrMacro                =  'Macro';
    -  SYNS_XML_AttrMarker               =  'Marker';
    -  SYNS_XML_AttrMessage              =  'Message';
    -  SYNS_XML_AttrMiscellaneous        =  'Miscellaneous';
    -  SYNS_XML_AttrNamespaceAttrName    =  'Namespace Attribute Name';
    -  SYNS_XML_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
    -  SYNS_XML_AttrNonReservedKeyword   =  'Non-reserved keyword';
    -  SYNS_XML_AttrNull                 =  'Null';
    -  SYNS_XML_AttrNumber               =  'Number';
    -  SYNS_XML_AttrOctal                =  'Octal';
    -  SYNS_XML_AttrOperator             =  'Operator';
    -  SYNS_XML_AttrPLSQL                =  'Reserved word (PL/SQL)';
    -  SYNS_XML_AttrPragma               =  'Pragma';
    -  SYNS_XML_AttrPreprocessor         =  'Preprocessor';
    -  SYNS_XML_AttrProcessingInstr      =  'Processing Instruction';
    -  SYNS_XML_AttrQualifier            =  'Qualifier';
    -  SYNS_XML_AttrRegister             =  'Register';
    -  SYNS_XML_AttrReservedWord         =  'Reserved word';
    -  SYNS_XML_AttrRpl                  =  'Rpl';
    -  SYNS_XML_AttrRplKey               =  'Rpl key';
    -  SYNS_XML_AttrRplComment           =  'Rpl comment';
    -  SYNS_XML_AttrSASM                 =  'SASM';
    -  SYNS_XML_AttrSASMComment          =  'SASM Comment';
    -  SYNS_XML_AttrSASMKey              =  'SASM Key';
    -  SYNS_XML_AttrSecondReservedWord   =  'Second reserved word';
    -  SYNS_XML_AttrSection              =  'Section';
    -  SYNS_XML_AttrSpace                =  'Space';
    -  SYNS_XML_AttrSpecialVariable      =  'Special variable';
    -  SYNS_XML_AttrSQLKey               =  'SQL keyword';
    -  SYNS_XML_AttrSQLPlus              =  'SQL*Plus command';
    -  SYNS_XML_AttrString               =  'String';
    -  SYNS_XML_AttrSymbol               =  'Symbol';
    -  SYNS_XML_AttrCaseLabel            =  'Case label';
    -  SYNS_XML_AttrSyntaxError          =  'SyntaxError';
    -  SYNS_XML_AttrSystem               =  'System functions and variables';
    -  SYNS_XML_AttrSystemValue          =  'System value';
    -  SYNS_XML_AttrTerminator           =  'Terminator';
    -  SYNS_XML_AttrText                 =  'Text';
    -  SYNS_XML_AttrUnknownWord          =  'Unknown word';
    -  SYNS_XML_AttrUser                 =  'User functions and variables';
    -  SYNS_XML_AttrUserFunction         =  'User functions';
    -  SYNS_XML_AttrValue                =  'Value';
    -  SYNS_XML_AttrVariable             =  'Variable';
    -  SYNS_XML_AttrWhitespace           =  'Whitespace';
    -  SYNS_XML_AttrTableName            =  'Table Name';
    -  SYNS_XML_AttrMathMode             =  'Math Mode';
    -  SYNS_XML_AttrTextMathMode         =  'Text in Math Mode';
    -  SYNS_XML_AttrSquareBracket        =  'Square Bracket';
    -  SYNS_XML_AttrRoundBracket         =  'Round Bracket';
    -  SYNS_XML_AttrTeXCommand           =  'TeX Command';
    -  SYNS_XML_AttrOrigFile             =  'Diff Original File';
    -  SYNS_XML_AttrNewFile              =  'Diff New File';
    -  SYNS_XML_AttrChunkMarker          =  'Diff Chunk Marker';
    -  SYNS_XML_AttrChunkOrig            =  'Diff Chunk Original Line Count';
    -  SYNS_XML_AttrChunkNew             =  'Diff Chunk New Line Count';
    -  SYNS_XML_AttrChunkMixed           =  'Diff Chunk Line Counts';
    -  SYNS_XML_AttrLineAdded            =  'Diff Added line';
    -  SYNS_XML_AttrLineRemoved          =  'Diff Removed Line';
    -  SYNS_XML_AttrLineChanged          =  'Diff Changed Line';
    -  SYNS_XML_AttrLineContext          =  'Diff Context Line';
    -  SYNS_XML_AttrPrevValue            =  'Previous value';
    -  SYNS_XML_AttrFlags                =  'Flags';
    -  (* End of Stored Attribute Names *)
    -
    -resourcestring
    -  // names of exporter output formats
    -  SYNS_ExporterFormatHTML       =  'HTML';
    -  SYNS_ExporterFormatRTF        =  'RTF';
    -
    -  // TCustomSynEdit scroll hint window caption
    -//  SYNS_ScrollInfoFmt            =  'Top Line: %d';
    -  SYNS_ScrollInfoFmt            =  '%d - %d';                                   //DDH 10/16/01
    -  SYNS_ScrollInfoFmtTop         =  'Top Line: %d';
    -  // TSynEditPrintPreview page number
    -  SYNS_PreviewScrollInfoFmt     =  'Page: %d';
    -
    -  // strings for property editors etc
    -  SYNS_EDuplicateShortcut       =  'Mouse-Shortcut already exists';
    -  SYNS_ShortcutNone             =  '<none>';
    -  SYNS_DuplicateShortcutMsg     =  'The keystroke "%s" is already assigned ' +
    -                                   'to another editor command. (%s)';
    -
    -  // Filters used for open/save dialog
    -  SYNS_FilterPascal             =  'Pascal Files (*.pas,*.dpr,*.dpk,*.inc)|*.pas;*.dpr;*.dpk;*.inc';
    -  SYNS_FilterHP48               =  'HP48 Files (*.s,*.sou,*.a,*.hp)|*.s;*.sou;*.a;*.hp';
    -  SYNS_FilterCAClipper          =  'CA-Clipper Files (*.prg,*.ch,*.inc)|*.prg;*.ch;*.inc';
    -  SYNS_FilterCORBAIDL           =  'CORBA IDL files (*.idl)|*.idl';
    -  SYNS_FilterCPM                =  'CPM reports (*.rdf,*.rif,*.rmf,*.rxf)|*.rdf;*.rif;*.rmf;*.rxf';
    -  SYNS_FilterCPP                =  'C++ Files (*.c,*.cpp,*.h,*.hpp,*.hh)|*.c;*.cpp;*.h;*.hpp;*.hh';
    -  SYNS_FilterJava               =  'Java Files (*.java)|*.java';
    -  SYNS_FilterPerl               =  'Perl Files (*.pl,*.pm,*.cgi)|*.pl;*.pm;*.cgi';
    -  SYNS_FilterAWK                =  'AWK Script (*.awk)|*.awk';
    -  SYNS_FilterHTML               =  'HTML Document (*.htm,*.html)|*.htm;*.html';
    -  SYNS_FilterVBScript           =  'VBScript Files (*.vbs)|*.vbs';
    -  SYNS_FilterGalaxy             =  'Galaxy Files (*.gtv,*.galrep,*.txt)|*.gtv;*.galrep;*.txt';
    -  SYNS_FilterPython             =  'Python Files (*.py)|*.py';
    -  SYNS_FilterSQL                =  'SQL Files (*.sql)|*.sql';
    -  SYNS_FilterTclTk              =  'Tcl/Tk Files (*.tcl)|*.tcl';
    -  SYNS_FilterRTF                =  'Rich Text Format (*.rtf)|*.rtf';
    -  SYNS_FilterBatch              =  'MS-DOS Batch Files (*.bat;*.cmd)|*.bat;*.cmd';
    -  SYNS_FilterDFM                =  'Borland Form Files (*.dfm;*.xfm)|*.dfm;*.xfm';
    -  SYNS_FilterLFM                =  'Lazarus Form Files (*.lfm)|*.lfm';
    -  SYNS_FilterX86Asm             =  'x86 Assembly Files (*.asm)|*.ASM';
    -  SYNS_FilterGembase            =  'GEMBASE Files (*.dml,*.gem)|*.DML;*.GEM';
    -  SYNS_FilterINI                =  'INI Files (*.ini)|*.ini';
    -  SYNS_FilterSML                =  'Standard ML Files (*.sml)|*.sml';
    -  SYNS_FilterVisualBASIC        =  'Visual Basic Files (*.bas)|*.bas';
    -  SYNS_FilterADSP21xx           =  'DSP Files (*.dsp,*.inc)|*.DSP;*.INC';
    -  SYNS_FilterPHP                =  'PHP Files (*.php,*.php3,*.phtml,*.inc)|*.php;*.php3;*.phtml;*.inc';
    -  SYNS_FilterCache              =  'Cache Files (*.mac,*.inc,*.int)|*.mac;*.inc;*.int';
    -  SYNS_FilterCSS                =  'Cascading Stylesheets (*.css)|*.css';
    -  SYNS_FilterJScript            =  'Javascript Files (*.js)|*.js';
    -  SYNS_FilterKIX                =  'KiXtart scripts (*.kix)|*.kix';
    -  SYNS_FilterBaan               =  'Baan 4GL Files (*.cln)|*.cln';
    -  SYNS_FilterFoxpro             =  'Foxpro Files (*.prg)|*.prg';
    -  SYNS_FilterFortran            =  'Fortran Files (*.for)|*.for';
    -  SYNS_FilterAsm68HC11          =  '68HC11 Assembler Files (*.hc11,*.asm,*.asc)|*.HC11;*.ASM;*.ASC';
    -  SYNS_FilterProgress           =  'Progress Files (*.w,*.p,*.i)|*.w;*.p;*.i';
    -  SYNS_FilterInno               =  'Inno Setup Script Files (*.iss)|*.iss';
    -  SYNS_FilterModelica           =  'Modelica Files (*.mo)|*.mo';
    -  SYNS_FilterModula3            =  'Modula-3 Files (*.m3)|*.m3';
    -  SYNS_FilterSDD                =  'Semanta DD files (*.sdd)|*.sdd';
    -  SYNS_FilterXML                =  'XML Document (*.xml,*.xsd,*.xsl,*.xslt,*.dtd)|*.xml;*.xsd;*.xsl;*.xslt;*.dtd';
    -  SYNS_FilterGWS                =  'GW-TEL Script Files (*.gws)|*.gws';
    -  SYNS_FilterSynGenMsgfiles     =  'Msg files (*.msg)|*.msg';
    -  SYNS_FilterUNIXShellScript    =  'UNIX Shell Scripts (*.sh)|*.sh';
    -  SYNS_FilterTeX                =  'TeX Files (*.tex)|*.tex';
    -  SYNS_FilterPo                 =  'Po Files (*.po)|*.po';
    -
    -// Currently the language names are used to identify the language
    -// ToDo: create translation table
    -const
    -  // Language names. Maybe somebody wants them translated / more detailed...
    -  SYNS_LangHP48                 =  'HP48';
    -  SYNS_LangCAClipper            =  'CA-Clipper';
    -  SYNS_LangCPM                  =  'COAS Product Manager report';
    -  SYNS_LangCPP                  =  'C++';
    -  SYNS_LangJava                 =  'Java';
    -  SYNS_LangPerl                 =  'Perl';
    -  SYNS_LangBatch                =  'MS-DOS batch language';
    -  SYNS_LangDfm                  =  'Borland Form definition';
    -  SYNS_LangLfm                  =  'Lazarus Form definition';
    -  SYNS_LangDiff                 =  'Diff File';
    -  SYNS_LangAWK                  =  'AWK Script';
    -  SYNS_LangCORBAIDL             =  'CORBA IDL';
    -  SYNS_LangHTML                 =  'HTML document';
    -  SYNS_LangVBSScript            =  'MS VBScript';
    -  SYNS_LangGalaxy               =  'Galaxy';
    -  SYNS_LangGeneral              =  'General';
    -  SYNS_LangPascal               =  'ObjectPascal';
    -  SYNS_LangX86Asm               =  'x86 assembly language';
    -  SYNS_LangPython               =  'Python';
    -  SYNS_LangTclTk                =  'Tcl/Tk';
    -  SYNS_LangSQL                  =  'SQL';
    -  SYNS_LangGembase              =  'Gembase';
    -  SYNS_LangINI                  =  'INI file';
    -  SYNS_LangSML                  =  'Standard ML';
    -  SYNS_LangVisualBASIC          =  'Visual Basic';
    -  SYNS_LangADSP21xx             =  'ADSP21xx';
    -  SYNS_LangPHP                  =  'PHP';
    -  SYNS_LangSybaseSQL            =  'Sybase SQL';
    -  SYNS_LangGeneralMulti         =  'General Multi-Highlighter';
    -  SYNS_LangCache                =  'Cache Object script';
    -  SYNS_LangCSS                  =  'Cascading style sheets';
    -  SYNS_LangJScript              =  'Javascript';
    -  SYNS_LangKIX                  =  'KiXtart script';
    -  SYNS_LangBaan                 =  'Baan 4GL';
    -  SYNS_LangFoxpro               =  'Foxpro';
    -  SYNS_LangFortran              =  'Fortran';
    -  SYNS_Lang68HC11               =  '68HC11 assembler';
    -  SYNS_LangProgress             =  'Progress';
    -  SYNS_LangInno                 =  'Inno Setup script';
    -  SYNS_LangModelica             =  'Modelica';
    -  SYNS_LangModula3              =  'Modula 3';
    -  SYNS_LangSDD                  =  'Semanta data dictionary';
    -  SYNS_LangXML                  =  'XML document';
    -  SYNS_LangGWS                  =  'GW-TEL script';
    -  SYNS_LangSynGenMsgfiles       =  'SynGen Msg files';
    -  SYNS_LangUnreal               =  'Unreal';
    -  SYNS_LangTeX                  =  'TeX';
    -  SYNS_LangPo                  =  'po language files';
    -
    -resourcestring
    -
    -  SYNS_emcNone                     = 'No Action';
    -  SYNS_emcStartSelection           = 'Selection';
    -  SYNS_emcStartColumnSelections    = 'Column Selection';
    -  SYNS_emcStartLineSelections      = 'Line Selection';
    -  SYNS_emcSelection_opt            = 'Mode,Begin,Continue';
    -  SYNS_emcSelectWord               = 'Select Word';
    -  SYNS_emcSelectLine               = 'Select Line';
    -  SYNS_emcSelectLine_opt           = '"Include spaces",no,yes';
    -  SYNS_emcSelectPara               = 'Select Paragraph';
    -  SYNS_emcStartDragMove            = 'Drag Selection';
    -  SYNS_emcPasteSelection           = 'Quick Paste Selection';
    -  SYNS_emcMouseLink                = 'Source Link';
    -  SYNS_emcMouseLink_opt            = 'Underline,yes, no';
    -  SYNS_emcContextMenu              = 'Popup Menu';
    -  SYNS_emcBreakPointToggle         = 'Toggle Breakpoint';
    -  SYNS_emcCodeFoldCollaps          = 'Fold Code';
    -  SYNS_emcCodeFoldCollaps_opt      = 'Nodes,One,All,"At Caret","Current Node"';
    -  SYNS_emcCodeFoldExpand           = 'Unfold Code';
    -  SYNS_emcCodeFoldExpand_opt       = 'Nodes,One,All';
    -  SYNS_emcCodeFoldContextMenu      = 'Fold Menu';
    -  SYNS_emcSynEditCommand           = 'IDE Command';
    -  SYNS_emcWheelScrollDown          = 'Wheel scroll down';
    -  SYNS_emcWheelScrollUp            = 'Wheel scroll up';
    -  SYNS_emcWheelHorizScrollDown     = 'Wheel scroll down (Horizontal)';
    -  SYNS_emcWheelHorizScrollUp       = 'Wheel scroll up (Horizontal)';
    -  SYNS_emcWheelVertScrollDown      = 'Wheel scroll down (Vertical)';
    -  SYNS_emcWheelVertScrollUp        = 'Wheel scroll up (Vertical)';
    -  SYNS_emcWheelZoomOut             = 'Wheel zoom out';
    -  SYNS_emcWheelZoomIn              = 'Wheel zoom in';
    -  SYNS_emcWheelZoomNorm            = 'Wheel zoom default';
    -
    -  SYNS_emcContextMenuCaretMove_opt = '"Move caret, when selection exists", Never, "Click outside", Always';
    -  SYNS_emcWheelScroll_opt          = 'Speed,"System settings",Lines,Pages,"Pages (less one line)"';
    -
    -implementation
    -
    -end.
    +{-------------------------------------------------------------------------------
    +The contents of this file are subject to the Mozilla Public License
    +Version 1.1 (the "License"); you may not use this file except in compliance
    +with the License. You may obtain a copy of the License at
    +http://www.mozilla.org/MPL/
    +
    +Software distributed under the License is distributed on an "AS IS" basis,
    +WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
    +the specific language governing rights and limitations under the License.
    +
    +The Original Code is: SynEditStrConst.pas, released 2000-04-07.
    +The Original Code is based on mwLocalStr.pas by Michael Hieke, part of the
    +mwEdit component suite.
    +All Rights Reserved.
    +
    +Contributors to the SynEdit and mwEdit projects are listed in the
    +Contributors.txt file.
    +
    +Alternatively, the contents of this file may be used under the terms of the
    +GNU General Public License Version 2 or later (the "GPL"), in which case
    +the provisions of the GPL are applicable instead of those above.
    +If you wish to allow use of your version of this file only under the terms
    +of the GPL and not to allow others to use your version of this file
    +under the MPL, indicate your decision by deleting the provisions above and
    +replace them with the notice and other provisions required by the GPL.
    +If you do not delete the provisions above, a recipient may use your version
    +of this file under either the MPL or the GPL.
    +
    +$Id$
    +
    +You may retrieve the latest version of this file at the SynEdit home page,
    +located at http://SynEdit.SourceForge.net
    +
    +Known Issues:
    +-------------------------------------------------------------------------------}
    +
    +unit SynEditStrConst;
    +
    +{$I synedit.inc}
    +
    +interface
    +
    +// NOTE: this is design-time stuff, so no need to have it in stringtables
    +const
    +  SYNS_ComponentsPage           =  'SynEdit';
    +  SYNS_HighlightersPage         =  'SynEdit Highlighters';
    +
    +resourcestring
    +  (* IMPORTANT
    +     If you add any Names, also add a unique identifier to the list in the const section below
    +  *)
    +
    +  (* Attribute Names *)
    +  SYNS_Untitled                 =  'Untitled';
    +  // names for highlighter attributes
    +  SYNS_AttrASP                  =  'Asp';
    +  SYNS_AttrCDATA                =  'CDATA';
    +  SYNS_AttrDOCTYPE              =  'DOCTYPE';
    +  SYNS_AttrAssembler            =  'Assembler';
    +  SYNS_AttrAttributeName        =  'Attribute Name';
    +  SYNS_AttrAttributeValue       =  'Attribute Value';
    +  SYNS_AttrBlock                =  'Block';
    +  SYNS_AttrBrackets             =  'Brackets';
    +  SYNS_AttrCDATASection         =  'CDATA Section';
    +  SYNS_AttrCharacter            =  'Character';
    +  SYNS_AttrClass                =  'Class';
    +  SYNS_AttrComment              =  'Comment';
    +  SYNS_AttrIDEDirective         =  'IDE Directive';
    +  SYNS_AttrCondition            =  'Condition';
    +  SYNS_AttrDataType             =  'Data type';
    +  SYNS_AttrDefaultPackage       =  'Default packages';
    +  SYNS_AttrDir                  =  'Direction';
    +  SYNS_AttrDirective            =  'Directive';
    +  SYNS_AttrDOCTYPESection       =  'DOCTYPE Section';
    +  SYNS_AttrDocumentation        =  'Documentation';
    +  SYNS_AttrElementName          =  'Element Name';
    +  SYNS_AttrEmbedSQL             =  'Embedded SQL';
    +  SYNS_AttrEmbedText            =  'Embedded text';
    +  SYNS_AttrEntityReference      =  'Entity Reference';
    +  SYNS_AttrEscapeAmpersand      =  'Escape ampersand';
    +  SYNS_AttrEvent                =  'Event';
    +  SYNS_AttrException            =  'Exception';
    +  SYNS_AttrFloat                =  'Float';
    +  SYNS_AttrForm                 =  'Form';
    +  SYNS_AttrFunction             =  'Function';
    +  SYNS_AttrHexadecimal          =  'Hexadecimal';
    +  SYNS_AttrIcon                 =  'Icon reference';
    +  SYNS_AttrIdentifier           =  'Identifier';
    +  SYNS_AttrIllegalChar          =  'Illegal char';
    +  SYNS_AttrInclude              =  'Include';
    +  SYNS_AttrIndirect             =  'Indirect';
    +  SYNS_AttrInvalidSymbol        =  'Invalid symbol';
    +  SYNS_AttrInternalFunction     =  'Internal function';
    +  SYNS_AttrKey                  =  'Key';
    +  SYNS_AttrLabel                =  'Label';
    +  SYNS_AttrMacro                =  'Macro';
    +  SYNS_AttrMarker               =  'Marker';
    +  SYNS_AttrMessage              =  'Message';
    +  SYNS_AttrMiscellaneous        =  'Miscellaneous';
    +  SYNS_AttrNamespaceAttrName    =  'Namespace Attribute Name';
    +  SYNS_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
    +  SYNS_AttrNonReservedKeyword   =  'Non-reserved keyword';
    +  SYNS_AttrNull                 =  'Null';
    +  SYNS_AttrNumber               =  'Number';
    +  SYNS_AttrOctal                =  'Octal';
    +  SYNS_AttrOperator             =  'Operator';
    +  SYNS_AttrPLSQL                =  'Reserved word (PL/SQL)';
    +  SYNS_AttrPragma               =  'Pragma';
    +  SYNS_AttrPreprocessor         =  'Preprocessor';
    +  SYNS_AttrProcessingInstr      =  'Processing Instruction';
    +  SYNS_AttrQualifier            =  'Qualifier';
    +  SYNS_AttrRegister             =  'Register';
    +  SYNS_AttrReservedWord         =  'Reserved word';
    +  SYNS_AttrRpl                  =  'Rpl';
    +  SYNS_AttrRplKey               =  'Rpl key';
    +  SYNS_AttrRplComment           =  'Rpl comment';
    +  SYNS_AttrSASM                 =  'SASM';
    +  SYNS_AttrSASMComment          =  'SASM Comment';
    +  SYNS_AttrSASMKey              =  'SASM Key';
    +  SYNS_AttrSecondReservedWord   =  'Second reserved word';
    +  SYNS_AttrSection              =  'Section';
    +  SYNS_AttrSpace                =  'Space';
    +  SYNS_AttrSpecialVariable      =  'Special variable';
    +  SYNS_AttrSQLKey               =  'SQL keyword';  
    +  SYNS_AttrSQLPlus              =  'SQL*Plus command';
    +  SYNS_AttrString               =  'String';
    +  SYNS_AttrSymbol               =  'Symbol';
    +  SYNS_AttrCaseLabel            =  'Case label';
    +  SYNS_AttrSyntaxError          =  'SyntaxError';
    +  SYNS_AttrSystem               =  'System functions and variables';
    +  SYNS_AttrSystemValue          =  'System value';
    +  SYNS_AttrTerminator           =  'Terminator';
    +  SYNS_AttrText                 =  'Text';
    +  SYNS_AttrUnknownWord          =  'Unknown word';
    +  SYNS_AttrUser                 =  'User functions and variables';
    +  SYNS_AttrUserFunction         =  'User functions';
    +  SYNS_AttrValue                =  'Value';
    +  SYNS_AttrVariable             =  'Variable';
    +  SYNS_AttrWhitespace           =  'Whitespace';
    +  SYNS_AttrTableName            =  'Table Name';
    +  SYNS_AttrMathMode             =  'Math Mode';
    +  SYNS_AttrTextMathMode         =  'Text in Math Mode';
    +  SYNS_AttrSquareBracket        =  'Square Bracket';
    +  SYNS_AttrRoundBracket         =  'Round Bracket';
    +  SYNS_AttrTeXCommand           =  'TeX Command';
    +  SYNS_AttrOrigFile             =  'Diff Original File';
    +  SYNS_AttrNewFile              =  'Diff New File';
    +  SYNS_AttrChunkMarker          =  'Diff Chunk Marker';
    +  SYNS_AttrChunkOrig            =  'Diff Chunk Original Line Count';
    +  SYNS_AttrChunkNew             =  'Diff Chunk New Line Count';
    +  SYNS_AttrChunkMixed           =  'Diff Chunk Line Counts';
    +  SYNS_AttrLineAdded            =  'Diff Added line';
    +  SYNS_AttrLineRemoved          =  'Diff Removed Line';
    +  SYNS_AttrLineChanged          =  'Diff Changed Line';
    +  SYNS_AttrLineContext          =  'Diff Context Line';
    +  SYNS_AttrPrevValue            =  'Previous value';
    +  SYNS_AttrFlags                =  'Flags';
    +  (* End of Attribute Names *)
    +
    +const
    +  (* IMPORTANT
    +     The highlight attribute "StoredName" are the only independent
    +     identification of Attributes.
    +     They must be UNIQUE and UNCHANGED.
    +
    +  *)
    +
    +  (* Stored Attribute Names *)
    +  SYNS_XML_Untitled                 =  'Untitled';
    +  SYNS_XML_AttrASP                  =  'Asp';
    +  SYNS_XML_AttrCDATA                =  'CDATA';
    +  SYNS_XML_AttrDOCTYPE              =  'DOCTYPE';
    +  SYNS_XML_AttrAssembler            =  'Assembler';
    +  SYNS_XML_AttrAttributeName        =  'Attribute Name';
    +  SYNS_XML_AttrAttributeValue       =  'Attribute Value';
    +  SYNS_XML_AttrBlock                =  'Block';
    +  SYNS_XML_AttrBrackets             =  'Brackets';
    +  SYNS_XML_AttrCDATASection         =  'CDATA Section';
    +  SYNS_XML_AttrCharacter            =  'Character';
    +  SYNS_XML_AttrClass                =  'Class';
    +  SYNS_XML_AttrComment              =  'Comment';
    +  SYNS_XML_AttrIDEDirective         =  'IDE Directive';
    +  SYNS_XML_AttrCondition            =  'Condition';
    +  SYNS_XML_AttrDataType             =  'Data type';
    +  SYNS_XML_AttrDefaultPackage       =  'Default packages';
    +  SYNS_XML_AttrDir                  =  'Direction';
    +  SYNS_XML_AttrDirective            =  'Directive';
    +  SYNS_XML_AttrDOCTYPESection       =  'DOCTYPE Section';
    +  SYNS_XML_AttrDocumentation        =  'Documentation';
    +  SYNS_XML_AttrElementName          =  'Element Name';
    +  SYNS_XML_AttrEmbedSQL             =  'Embedded SQL';
    +  SYNS_XML_AttrEmbedText            =  'Embedded text';
    +  SYNS_XML_AttrEntityReference      =  'Entity Reference';
    +  SYNS_XML_AttrEscapeAmpersand      =  'Escape ampersand';
    +  SYNS_XML_AttrEvent                =  'Event';
    +  SYNS_XML_AttrException            =  'Exception';
    +  SYNS_XML_AttrFloat                =  'Float';
    +  SYNS_XML_AttrForm                 =  'Form';
    +  SYNS_XML_AttrFunction             =  'Function';
    +  SYNS_XML_AttrHexadecimal          =  'Hexadecimal';
    +  SYNS_XML_AttrIcon                 =  'Icon reference';
    +  SYNS_XML_AttrIdentifier           =  'Identifier';
    +  SYNS_XML_AttrIllegalChar          =  'Illegal char';
    +  SYNS_XML_AttrInclude              =  'Include';
    +  SYNS_XML_AttrIndirect             =  'Indirect';
    +  SYNS_XML_AttrInvalidSymbol        =  'Invalid symbol';
    +  SYNS_XML_AttrInternalFunction     =  'Internal function';
    +  SYNS_XML_AttrKey                  =  'Key';
    +  SYNS_XML_AttrLabel                =  'Label';
    +  SYNS_XML_AttrMacro                =  'Macro';
    +  SYNS_XML_AttrMarker               =  'Marker';
    +  SYNS_XML_AttrMessage              =  'Message';
    +  SYNS_XML_AttrMiscellaneous        =  'Miscellaneous';
    +  SYNS_XML_AttrNamespaceAttrName    =  'Namespace Attribute Name';
    +  SYNS_XML_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
    +  SYNS_XML_AttrNonReservedKeyword   =  'Non-reserved keyword';
    +  SYNS_XML_AttrNull                 =  'Null';
    +  SYNS_XML_AttrNumber               =  'Number';
    +  SYNS_XML_AttrOctal                =  'Octal';
    +  SYNS_XML_AttrOperator             =  'Operator';
    +  SYNS_XML_AttrPLSQL                =  'Reserved word (PL/SQL)';
    +  SYNS_XML_AttrPragma               =  'Pragma';
    +  SYNS_XML_AttrPreprocessor         =  'Preprocessor';
    +  SYNS_XML_AttrProcessingInstr      =  'Processing Instruction';
    +  SYNS_XML_AttrQualifier            =  'Qualifier';
    +  SYNS_XML_AttrRegister             =  'Register';
    +  SYNS_XML_AttrReservedWord         =  'Reserved word';
    +  SYNS_XML_AttrRpl                  =  'Rpl';
    +  SYNS_XML_AttrRplKey               =  'Rpl key';
    +  SYNS_XML_AttrRplComment           =  'Rpl comment';
    +  SYNS_XML_AttrSASM                 =  'SASM';
    +  SYNS_XML_AttrSASMComment          =  'SASM Comment';
    +  SYNS_XML_AttrSASMKey              =  'SASM Key';
    +  SYNS_XML_AttrSecondReservedWord   =  'Second reserved word';
    +  SYNS_XML_AttrSection              =  'Section';
    +  SYNS_XML_AttrSpace                =  'Space';
    +  SYNS_XML_AttrSpecialVariable      =  'Special variable';
    +  SYNS_XML_AttrSQLKey               =  'SQL keyword';
    +  SYNS_XML_AttrSQLPlus              =  'SQL*Plus command';
    +  SYNS_XML_AttrString               =  'String';
    +  SYNS_XML_AttrSymbol               =  'Symbol';
    +  SYNS_XML_AttrCaseLabel            =  'Case label';
    +  SYNS_XML_AttrSyntaxError          =  'SyntaxError';
    +  SYNS_XML_AttrSystem               =  'System functions and variables';
    +  SYNS_XML_AttrSystemValue          =  'System value';
    +  SYNS_XML_AttrTerminator           =  'Terminator';
    +  SYNS_XML_AttrText                 =  'Text';
    +  SYNS_XML_AttrUnknownWord          =  'Unknown word';
    +  SYNS_XML_AttrUser                 =  'User functions and variables';
    +  SYNS_XML_AttrUserFunction         =  'User functions';
    +  SYNS_XML_AttrValue                =  'Value';
    +  SYNS_XML_AttrVariable             =  'Variable';
    +  SYNS_XML_AttrWhitespace           =  'Whitespace';
    +  SYNS_XML_AttrTableName            =  'Table Name';
    +  SYNS_XML_AttrMathMode             =  'Math Mode';
    +  SYNS_XML_AttrTextMathMode         =  'Text in Math Mode';
    +  SYNS_XML_AttrSquareBracket        =  'Square Bracket';
    +  SYNS_XML_AttrRoundBracket         =  'Round Bracket';
    +  SYNS_XML_AttrTeXCommand           =  'TeX Command';
    +  SYNS_XML_AttrOrigFile             =  'Diff Original File';
    +  SYNS_XML_AttrNewFile              =  'Diff New File';
    +  SYNS_XML_AttrChunkMarker          =  'Diff Chunk Marker';
    +  SYNS_XML_AttrChunkOrig            =  'Diff Chunk Original Line Count';
    +  SYNS_XML_AttrChunkNew             =  'Diff Chunk New Line Count';
    +  SYNS_XML_AttrChunkMixed           =  'Diff Chunk Line Counts';
    +  SYNS_XML_AttrLineAdded            =  'Diff Added line';
    +  SYNS_XML_AttrLineRemoved          =  'Diff Removed Line';
    +  SYNS_XML_AttrLineChanged          =  'Diff Changed Line';
    +  SYNS_XML_AttrLineContext          =  'Diff Context Line';
    +  SYNS_XML_AttrPrevValue            =  'Previous value';
    +  SYNS_XML_AttrFlags                =  'Flags';
    +  (* End of Stored Attribute Names *)
    +
    +resourcestring
    +  // names of exporter output formats
    +  SYNS_ExporterFormatHTML       =  'HTML';
    +  SYNS_ExporterFormatRTF        =  'RTF';
    +
    +  // TCustomSynEdit scroll hint window caption
    +//  SYNS_ScrollInfoFmt            =  'Top Line: %d';
    +  SYNS_ScrollInfoFmt            =  '%d - %d';                                   //DDH 10/16/01
    +  SYNS_ScrollInfoFmtTop         =  'Top Line: %d';
    +  // TSynEditPrintPreview page number
    +  SYNS_PreviewScrollInfoFmt     =  'Page: %d';
    +
    +  // strings for property editors etc
    +  SYNS_EDuplicateShortcut       =  'Mouse-Shortcut already exists';
    +  SYNS_ShortcutNone             =  '<none>';
    +  SYNS_DuplicateShortcutMsg     =  'The keystroke "%s" is already assigned ' +
    +                                   'to another editor command. (%s)';
    +
    +  // Filters used for open/save dialog
    +  SYNS_FilterPascal             =  'Pascal Files (*.pas,*.dpr,*.dpk,*.inc)|*.pas;*.dpr;*.dpk;*.inc';
    +  SYNS_FilterHP48               =  'HP48 Files (*.s,*.sou,*.a,*.hp)|*.s;*.sou;*.a;*.hp';
    +  SYNS_FilterCAClipper          =  'CA-Clipper Files (*.prg,*.ch,*.inc)|*.prg;*.ch;*.inc';
    +  SYNS_FilterCORBAIDL           =  'CORBA IDL files (*.idl)|*.idl';
    +  SYNS_FilterCPM                =  'CPM reports (*.rdf,*.rif,*.rmf,*.rxf)|*.rdf;*.rif;*.rmf;*.rxf';
    +  SYNS_FilterCPP                =  'C++ Files (*.c,*.cpp,*.h,*.hpp,*.hh)|*.c;*.cpp;*.h;*.hpp;*.hh';
    +  SYNS_FilterJava               =  'Java Files (*.java)|*.java';
    +  SYNS_FilterPerl               =  'Perl Files (*.pl,*.pm,*.cgi)|*.pl;*.pm;*.cgi';
    +  SYNS_FilterAWK                =  'AWK Script (*.awk)|*.awk';
    +  SYNS_FilterHTML               =  'HTML Document (*.htm,*.html)|*.htm;*.html';
    +  SYNS_FilterVBScript           =  'VBScript Files (*.vbs)|*.vbs';
    +  SYNS_FilterGalaxy             =  'Galaxy Files (*.gtv,*.galrep,*.txt)|*.gtv;*.galrep;*.txt';
    +  SYNS_FilterPython             =  'Python Files (*.py)|*.py';
    +  SYNS_FilterSQL                =  'SQL Files (*.sql)|*.sql';
    +  SYNS_FilterTclTk              =  'Tcl/Tk Files (*.tcl)|*.tcl';
    +  SYNS_FilterRTF                =  'Rich Text Format (*.rtf)|*.rtf';
    +  SYNS_FilterBatch              =  'MS-DOS Batch Files (*.bat;*.cmd)|*.bat;*.cmd';
    +  SYNS_FilterDFM                =  'Borland Form Files (*.dfm;*.xfm)|*.dfm;*.xfm';
    +  SYNS_FilterLFM                =  'Lazarus Form Files (*.lfm)|*.lfm';
    +  SYNS_FilterX86Asm             =  'x86 Assembly Files (*.asm)|*.ASM';
    +  SYNS_FilterGembase            =  'GEMBASE Files (*.dml,*.gem)|*.DML;*.GEM';
    +  SYNS_FilterINI                =  'INI Files (*.ini)|*.ini';
    +  SYNS_FilterSML                =  'Standard ML Files (*.sml)|*.sml';
    +  SYNS_FilterVisualBASIC        =  'Visual Basic Files (*.bas)|*.bas';
    +  SYNS_FilterADSP21xx           =  'DSP Files (*.dsp,*.inc)|*.DSP;*.INC';
    +  SYNS_FilterPHP                =  'PHP Files (*.php,*.php3,*.phtml,*.inc)|*.php;*.php3;*.phtml;*.inc';
    +  SYNS_FilterCache              =  'Cache Files (*.mac,*.inc,*.int)|*.mac;*.inc;*.int';
    +  SYNS_FilterCSS                =  'Cascading Stylesheets (*.css)|*.css';
    +  SYNS_FilterJScript            =  'Javascript Files (*.js)|*.js';
    +  SYNS_FilterKIX                =  'KiXtart scripts (*.kix)|*.kix';
    +  SYNS_FilterBaan               =  'Baan 4GL Files (*.cln)|*.cln';
    +  SYNS_FilterFoxpro             =  'Foxpro Files (*.prg)|*.prg';
    +  SYNS_FilterFortran            =  'Fortran Files (*.for)|*.for';
    +  SYNS_FilterAsm68HC11          =  '68HC11 Assembler Files (*.hc11,*.asm,*.asc)|*.HC11;*.ASM;*.ASC';
    +  SYNS_FilterProgress           =  'Progress Files (*.w,*.p,*.i)|*.w;*.p;*.i';
    +  SYNS_FilterInno               =  'Inno Setup Script Files (*.iss)|*.iss';
    +  SYNS_FilterModelica           =  'Modelica Files (*.mo)|*.mo';
    +  SYNS_FilterModula3            =  'Modula-3 Files (*.m3)|*.m3';
    +  SYNS_FilterSDD                =  'Semanta DD files (*.sdd)|*.sdd';
    +  SYNS_FilterXML                =  'XML Document (*.xml,*.xsd,*.xsl,*.xslt,*.dtd)|*.xml;*.xsd;*.xsl;*.xslt;*.dtd';
    +  SYNS_FilterGWS                =  'GW-TEL Script Files (*.gws)|*.gws';
    +  SYNS_FilterSynGenMsgfiles     =  'Msg files (*.msg)|*.msg';
    +  SYNS_FilterUNIXShellScript    =  'UNIX Shell Scripts (*.sh)|*.sh';
    +  SYNS_FilterTeX                =  'TeX Files (*.tex)|*.tex';
    +  SYNS_FilterPo                 =  'Po Files (*.po)|*.po';
    +
    +// Currently the language names are used to identify the language
    +// ToDo: create translation table
    +const
    +  // Language names. Maybe somebody wants them translated / more detailed...
    +  SYNS_LangHP48                 =  'HP48';
    +  SYNS_LangCAClipper            =  'CA-Clipper';
    +  SYNS_LangCPM                  =  'COAS Product Manager report';
    +  SYNS_LangCPP                  =  'C++';
    +  SYNS_LangJava                 =  'Java';
    +  SYNS_LangPerl                 =  'Perl';
    +  SYNS_LangBatch                =  'MS-DOS batch language';
    +  SYNS_LangDfm                  =  'Borland Form definition';
    +  SYNS_LangLfm                  =  'Lazarus Form definition';
    +  SYNS_LangDiff                 =  'Diff File';
    +  SYNS_LangAWK                  =  'AWK Script';
    +  SYNS_LangCORBAIDL             =  'CORBA IDL';
    +  SYNS_LangHTML                 =  'HTML document';
    +  SYNS_LangVBSScript            =  'MS VBScript';
    +  SYNS_LangGalaxy               =  'Galaxy';
    +  SYNS_LangGeneral              =  'General';
    +  SYNS_LangPascal               =  'ObjectPascal';
    +  SYNS_LangX86Asm               =  'x86 assembly language';
    +  SYNS_LangPython               =  'Python';
    +  SYNS_LangTclTk                =  'Tcl/Tk';
    +  SYNS_LangSQL                  =  'SQL';
    +  SYNS_LangGembase              =  'Gembase';
    +  SYNS_LangINI                  =  'INI file';
    +  SYNS_LangSML                  =  'Standard ML';
    +  SYNS_LangVisualBASIC          =  'Visual Basic';
    +  SYNS_LangADSP21xx             =  'ADSP21xx';
    +  SYNS_LangPHP                  =  'PHP';
    +  SYNS_LangSybaseSQL            =  'Sybase SQL';
    +  SYNS_LangGeneralMulti         =  'General Multi-Highlighter';
    +  SYNS_LangCache                =  'Cache Object script';
    +  SYNS_LangCSS                  =  'Cascading style sheets';
    +  SYNS_LangJScript              =  'Javascript';
    +  SYNS_LangKIX                  =  'KiXtart script';
    +  SYNS_LangBaan                 =  'Baan 4GL';
    +  SYNS_LangFoxpro               =  'Foxpro';
    +  SYNS_LangFortran              =  'Fortran';
    +  SYNS_Lang68HC11               =  '68HC11 assembler';
    +  SYNS_LangProgress             =  'Progress';
    +  SYNS_LangInno                 =  'Inno Setup script';
    +  SYNS_LangModelica             =  'Modelica';
    +  SYNS_LangModula3              =  'Modula 3';
    +  SYNS_LangSDD                  =  'Semanta data dictionary';
    +  SYNS_LangXML                  =  'XML document';
    +  SYNS_LangGWS                  =  'GW-TEL script';
    +  SYNS_LangSynGenMsgfiles       =  'SynGen Msg files';
    +  SYNS_LangUnreal               =  'Unreal';
    +  SYNS_LangTeX                  =  'TeX';
    +  SYNS_LangPo                  =  'po language files';
    +
    +resourcestring
    +
    +  SYNS_emcNone                     = 'No Action';
    +  SYNS_emcStartSelection           = 'Selection';
    +  SYNS_emcStartColumnSelections    = 'Column Selection';
    +  SYNS_emcStartLineSelections      = 'Line Selection';
    +  SYNS_emcSelection_opt            = 'Mode,Begin,Continue';
    +  SYNS_emcSelectWord               = 'Select Word';
    +  SYNS_emcSelectLine               = 'Select Line';
    +  SYNS_emcSelectLine_opt           = '"Include spaces",no,yes';
    +  SYNS_emcSelectPara               = 'Select Paragraph';
    +  SYNS_emcStartDragMove            = 'Drag Selection';
    +  SYNS_emcPasteSelection           = 'Quick Paste Selection';
    +  SYNS_emcMouseLink                = 'Source Link';
    +  SYNS_emcMouseLink_opt            = 'Underline,yes, no';
    +  SYNS_emcContextMenu              = 'Popup Menu';
    +  SYNS_emcBreakPointToggle         = 'Toggle Breakpoint';
    +  SYNS_emcCodeFoldCollaps          = 'Fold Code';
    +  SYNS_emcCodeFoldCollaps_opt      = 'Nodes,One,All,"At Caret","Current Node"';
    +  SYNS_emcCodeFoldExpand           = 'Unfold Code';
    +  SYNS_emcCodeFoldExpand_opt       = 'Nodes,One,All';
    +  SYNS_emcCodeFoldContextMenu      = 'Fold Menu';
    +  SYNS_emcSynEditCommand           = 'IDE Command';
    +  SYNS_emcWheelScrollDown          = 'Wheel scroll down';
    +  SYNS_emcWheelScrollUp            = 'Wheel scroll up';
    +  SYNS_emcWheelHorizScrollDown     = 'Wheel scroll down (Horizontal)';
    +  SYNS_emcWheelHorizScrollUp       = 'Wheel scroll up (Horizontal)';
    +  SYNS_emcWheelVertScrollDown      = 'Wheel scroll down (Vertical)';
    +  SYNS_emcWheelVertScrollUp        = 'Wheel scroll up (Vertical)';
    +  SYNS_emcWheelZoomOut             = 'Wheel zoom out';
    +  SYNS_emcWheelZoomIn              = 'Wheel zoom in';
    +  SYNS_emcWheelZoomNorm            = 'Wheel zoom default';
    +
    +  SYNS_emcContextMenuCaretMove_opt = '"Move caret, when selection exists", Never, "Click outside", Always';
    +  SYNS_emcWheelScroll_opt          = 'Speed,"System settings",Lines,Pages,"Pages (less one line)"';
    +
    +implementation
    +
    +end.
    
    syneditstrconst_new.patch (45,432 bytes)

Activities

2012-12-16 13:32

 

synhighlighterhtml_new.patch (5,784 bytes)
--- C:/Users/pc/AppData/Local/Temp/synhighlighterhtml.pp-revBASE.svn002.tmp.pp	Wt cze 26 00:49:31 2012
+++ C:/lazarus/components/synedit/synhighlighterhtml.pp	N gru 16 13:20:51 2012
@@ -27,7 +27,7 @@
 If you do not delete the provisions above, a recipient may use your version
 of this file under either the MPL or the GPL.
 
-$Id: synhighlighterhtml.pp 37782 2012-06-25 22:49:31Z martin $
+$Id: synhighlighterhtml.pp $
 
 You may retrieve the latest version of this file at the SynEdit home page,
 located at http://SynEdit.SourceForge.net
@@ -218,16 +218,17 @@
 
 type
   TtkTokenKind = (tkAmpersand, tkASP, tkCDATA, tkComment, tkIdentifier, tkKey, tkNull,
-    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue);
+    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue, tkDOCTYPE);
 
   TRangeState = (rsAmpersand, rsASP, rsCDATA, rsComment, rsKey, rsParam, rsText,
-    rsUnKnown, rsValue);
+    rsUnKnown, rsValue, rsDOCTYPE);
 
  THtmlCodeFoldBlockType = (
     cfbtHtmlNode,     // <foo>...</node>
     cfbtHtmlComment,  // <!-- -->
     cfbtHtmlAsp,  // <% asp  %>
     cfbtHtmlCDATA, // <![CDATA[ data ]]>
+    cfbtHtmlDOCTYPE, // <!DOCTYPE data>
     // internal types / not configurable
     cfbtHtmlNone
   );
@@ -257,6 +258,7 @@
     fAndAttri: TSynHighlighterAttributes;
     fASPAttri: TSynHighlighterAttributes;
     fCDATAAttri: TSynHighlighterAttributes;
+    fDOCTYPEAttri: TSynHighlighterAttributes;
     fCommentAttri: TSynHighlighterAttributes;
     fIdentifierAttri: TSynHighlighterAttributes;
     fKeyAttri: TSynHighlighterAttributes;
@@ -434,6 +436,7 @@
     procedure MakeMethodTables;
     procedure ASPProc;
     procedure CDATAProc;
+    procedure DOCTYPEProc;
     procedure SetMode(const AValue: TSynHTMLSynMode);
     procedure TextProc;
     procedure CommentProc;
@@ -485,6 +488,7 @@
     property AndAttri: TSynHighlighterAttributes read fAndAttri write fAndAttri;
     property ASPAttri: TSynHighlighterAttributes read fASPAttri write fASPAttri;
     property CDATAAttri: TSynHighlighterAttributes read fCDATAAttri write fCDATAAttri;
+    property DOCTYPEAttri: TSynHighlighterAttributes read fDOCTYPEAttri write fDOCTYPEAttri;
     property CommentAttri: TSynHighlighterAttributes read fCommentAttri
       write fCommentAttri;
     property IdentifierAttri: TSynHighlighterAttributes read fIdentifierAttri
@@ -2289,6 +2293,12 @@
   fCDATAAttri.Foreground := clGreen;
   AddAttribute(fCDATAAttri);
 
+  fDOCTYPEAttri := TSynHighlighterAttributes.Create(SYNS_AttrDOCTYPE, SYNS_XML_AttrDOCTYPE);
+  fDOCTYPEAttri.Foreground := clBlack;
+  fDOCTYPEAttri.Background := clYellow;
+  fDOCTYPEAttri.Style := [fsBold];
+  AddAttribute(fDOCTYPEAttri);
+
   fCommentAttri := TSynHighlighterAttributes.Create(SYNS_AttrComment, SYNS_XML_AttrComment);
   AddAttribute(fCommentAttri);
 
@@ -2383,6 +2393,27 @@
   end;
 end;
 
+procedure TSynHTMLSyn.DOCTYPEProc;
+begin
+  fTokenID := tkDOCTYPE;
+  if (fLine[Run] In [#0, #10, #13]) then begin
+    fProcTable[fLine[Run]];
+    Exit;
+  end;
+
+  while not (fLine[Run] in [#0, #10, #13]) do begin
+    if (fLine[Run] = '>')
+    then begin
+      fRange := rsText;
+      Inc(Run);
+      //if TopHtmlCodeFoldBlockType = cfbtHtmlCDATA then
+       // EndHtmlNodeCodeFoldBlock;
+      break;
+    end;
+    Inc(Run);
+  end;
+end;
+
 procedure TSynHTMLSyn.SetMode(const AValue: TSynHTMLSynMode);
 begin
   if FMode = AValue then exit;
@@ -2428,28 +2459,39 @@
 begin
   fSimpleTag := False;
   Inc(Run);
-  if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-')
-  then begin
+  if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-') then
+  begin
     fRange := rsComment;
     fTokenID := tkComment;
     StartHtmlCodeFoldBlock(cfbtHtmlComment);
     Inc(Run, 3);
-  end
-  else if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (fLine[Run + 1] = '[')
+  end else
+  if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (fLine[Run + 1] = '[')
   and (fLine[Run + 2] = 'C') and (fLine[Run + 3] = 'D') and (fLine[Run + 4] = 'A')
-  and (fLine[Run + 5] = 'T') and (fLine[Run + 6] = 'A') and (fLine[Run + 7] = '[') then begin
+  and (fLine[Run + 5] = 'T') and (fLine[Run + 6] = 'A') and (fLine[Run + 7] = '[') then
+  begin
     fRange := rsCDATA;
     fTokenID := tkCDATA;
     StartHtmlCodeFoldBlock(cfbtHtmlCDATA);
     Inc(Run);
-  end
-  else if fLine[Run]= '%' then begin
+  end else
+  if fLine[Run]= '%' then
+  begin
     fRange := rsASP;
     fTokenID := tkASP;
     StartHtmlCodeFoldBlock(cfbtHtmlAsp);
     Inc(Run);
-  end
-  else begin
+  end else
+  if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (upcase(fLine[Run + 1]) = 'D')
+  and (upcase(fLine[Run + 2]) = 'O') and (upcase(fLine[Run + 3]) = 'C') and (upcase(fLine[Run + 4]) = 'T')
+  and (upcase(fLine[Run + 5]) = 'Y') and (upcase(fLine[Run + 6]) = 'P') and (upcase(fLine[Run + 7]) = 'E') then
+  begin
+    fRange := rsDOCTYPE;
+    fTokenID := tkDOCTYPE;
+    //StartHtmlCodeFoldBlock(cfbtHtmlDOCTYPE);
+    Inc(Run);
+  end else
+  begin
     fRange := rsKey;
     fTokenID := tkSymbol;
   end;
@@ -2610,6 +2652,10 @@
     begin
       CDATAProc;
     end;
+  rsDOCTYPE:
+    begin
+      DOCTYPEProc;
+    end;
   else
     fProcTable[fLine[Run]];
   end;
@@ -2658,6 +2704,7 @@
     tkAmpersand: Result := fAndAttri;
     tkASP: Result := fASPAttri;
     tkCDATA: Result := fCDATAAttri;
+    tkDOCTYPE: Result := fDOCTYPEAttri;
     tkComment: Result := fCommentAttri;
     tkIdentifier: Result := fIdentifierAttri;
     tkKey: Result := fKeyAttri;

Martin Friebe

2012-12-16 15:45

manager   ~0064335

Looks like you forgot SynEditStrConst.pas for SYNS_AttrDOCTYPE ?


On a side note (ok for this time)

Please do not submit format changes (such as spaces, moving then/else/begin to different lines) in the same patch as the functional changes.
This makes it harder to review the patch.

You can submit those changes in a separate patch.

Also

@@ -2428,28 +2459,39 @@
 begin
   fSimpleTag := False;
   Inc(Run);
- if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-')
- then begin
+ if (Run <= length(fLine)-2) and (fLine[Run] = '!') and (fLine[Run + 1] = '-') and (fLine[Run + 2] = '-') then
+ begin

In this unit it appears that "then begin" is generally on the same line. So it should not be changed.

I understand you may make those changes while you work. If so, you can:
- use visual differs (winmerge) to undo them first
- edit the patch by hand to remove them

2012-12-16 17:19

 

synhighlighterhtml_new2.patch (4,605 bytes)
--- C:/Users/pc/AppData/Local/Temp/synhighlighterhtml.pp-revBASE.svn005.tmp.pp	Wt cze 26 00:49:31 2012
+++ C:/lazarus/components/synedit/synhighlighterhtml.pp	N gru 16 17:16:35 2012
@@ -27,7 +27,7 @@
 If you do not delete the provisions above, a recipient may use your version
 of this file under either the MPL or the GPL.
 
-$Id: synhighlighterhtml.pp 37782 2012-06-25 22:49:31Z martin $
+$Id$
 
 You may retrieve the latest version of this file at the SynEdit home page,
 located at http://SynEdit.SourceForge.net
@@ -218,16 +218,17 @@
 
 type
   TtkTokenKind = (tkAmpersand, tkASP, tkCDATA, tkComment, tkIdentifier, tkKey, tkNull,
-    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue);
+    tkSpace, tkString, tkSymbol, tkText, tkUndefKey, tkValue, tkDOCTYPE);
 
   TRangeState = (rsAmpersand, rsASP, rsCDATA, rsComment, rsKey, rsParam, rsText,
-    rsUnKnown, rsValue);
+    rsUnKnown, rsValue, rsDOCTYPE);
 
  THtmlCodeFoldBlockType = (
     cfbtHtmlNode,     // <foo>...</node>
     cfbtHtmlComment,  // <!-- -->
     cfbtHtmlAsp,  // <% asp  %>
     cfbtHtmlCDATA, // <![CDATA[ data ]]>
+    cfbtHtmlDOCTYPE, // <!DOCTYPE data>
     // internal types / not configurable
     cfbtHtmlNone
   );
@@ -257,6 +258,7 @@
     fAndAttri: TSynHighlighterAttributes;
     fASPAttri: TSynHighlighterAttributes;
     fCDATAAttri: TSynHighlighterAttributes;
+    fDOCTYPEAttri: TSynHighlighterAttributes;
     fCommentAttri: TSynHighlighterAttributes;
     fIdentifierAttri: TSynHighlighterAttributes;
     fKeyAttri: TSynHighlighterAttributes;
@@ -434,6 +436,7 @@
     procedure MakeMethodTables;
     procedure ASPProc;
     procedure CDATAProc;
+    procedure DOCTYPEProc;
     procedure SetMode(const AValue: TSynHTMLSynMode);
     procedure TextProc;
     procedure CommentProc;
@@ -485,6 +488,7 @@
     property AndAttri: TSynHighlighterAttributes read fAndAttri write fAndAttri;
     property ASPAttri: TSynHighlighterAttributes read fASPAttri write fASPAttri;
     property CDATAAttri: TSynHighlighterAttributes read fCDATAAttri write fCDATAAttri;
+    property DOCTYPEAttri: TSynHighlighterAttributes read fDOCTYPEAttri write fDOCTYPEAttri;
     property CommentAttri: TSynHighlighterAttributes read fCommentAttri
       write fCommentAttri;
     property IdentifierAttri: TSynHighlighterAttributes read fIdentifierAttri
@@ -2289,6 +2293,12 @@
   fCDATAAttri.Foreground := clGreen;
   AddAttribute(fCDATAAttri);
 
+  fDOCTYPEAttri := TSynHighlighterAttributes.Create(SYNS_AttrDOCTYPE, SYNS_XML_AttrDOCTYPE);
+  fDOCTYPEAttri.Foreground := clBlack;
+  fDOCTYPEAttri.Background := clYellow;
+  fDOCTYPEAttri.Style := [fsBold];
+  AddAttribute(fDOCTYPEAttri);
+
   fCommentAttri := TSynHighlighterAttributes.Create(SYNS_AttrComment, SYNS_XML_AttrComment);
   AddAttribute(fCommentAttri);
 
@@ -2383,6 +2393,27 @@
   end;
 end;
 
+procedure TSynHTMLSyn.DOCTYPEProc;
+begin
+  fTokenID := tkDOCTYPE;
+  if (fLine[Run] In [#0, #10, #13]) then begin
+    fProcTable[fLine[Run]];
+    Exit;
+  end;
+
+  while not (fLine[Run] in [#0, #10, #13]) do begin
+    if (fLine[Run] = '>')
+    then begin
+      fRange := rsText;
+      Inc(Run);
+      //if TopHtmlCodeFoldBlockType = cfbtHtmlCDATA then
+       // EndHtmlNodeCodeFoldBlock;
+      break;
+    end;
+    Inc(Run);
+  end;
+end;
+
 procedure TSynHTMLSyn.SetMode(const AValue: TSynHTMLSynMode);
 begin
   if FMode = AValue then exit;
@@ -2449,7 +2480,16 @@
     StartHtmlCodeFoldBlock(cfbtHtmlAsp);
     Inc(Run);
   end
-  else begin
+  else if (Run <= length(fLine)-7) and (fLine[Run] = '!') and (upcase(fLine[Run + 1]) = 'D')
+  and (upcase(fLine[Run + 2]) = 'O') and (upcase(fLine[Run + 3]) = 'C') and (upcase(fLine[Run + 4]) = 'T')
+  and (upcase(fLine[Run + 5]) = 'Y') and (upcase(fLine[Run + 6]) = 'P') and (upcase(fLine[Run + 7]) = 'E') then 
+  begin
+    fRange := rsDOCTYPE;
+    fTokenID := tkDOCTYPE;
+    //StartHtmlCodeFoldBlock(cfbtHtmlDOCTYPE);
+    Inc(Run);
+  end else
+  begin
     fRange := rsKey;
     fTokenID := tkSymbol;
   end;
@@ -2610,6 +2650,10 @@
     begin
       CDATAProc;
     end;
+  rsDOCTYPE:
+    begin
+      DOCTYPEProc;
+    end;
   else
     fProcTable[fLine[Run]];
   end;
@@ -2658,6 +2702,7 @@
     tkAmpersand: Result := fAndAttri;
     tkASP: Result := fASPAttri;
     tkCDATA: Result := fCDATAAttri;
+    tkDOCTYPE: Result := fDOCTYPEAttri;
     tkComment: Result := fCommentAttri;
     tkIdentifier: Result := fIdentifierAttri;
     tkKey: Result := fKeyAttri;

2012-12-16 17:19

 

syneditstrconst_new.patch (45,432 bytes)
--- C:/Users/pc/AppData/Local/Temp/syneditstrconst.pp-revBASE.svn000.tmp.pp	So cze  2 23:19:37 2012
+++ C:/lazarus/components/synedit/syneditstrconst.pp	N gru 16 17:12:33 2012
@@ -1,428 +1,430 @@
-{-------------------------------------------------------------------------------
-The contents of this file are subject to the Mozilla Public License
-Version 1.1 (the "License"); you may not use this file except in compliance
-with the License. You may obtain a copy of the License at
-http://www.mozilla.org/MPL/
-
-Software distributed under the License is distributed on an "AS IS" basis,
-WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
-the specific language governing rights and limitations under the License.
-
-The Original Code is: SynEditStrConst.pas, released 2000-04-07.
-The Original Code is based on mwLocalStr.pas by Michael Hieke, part of the
-mwEdit component suite.
-All Rights Reserved.
-
-Contributors to the SynEdit and mwEdit projects are listed in the
-Contributors.txt file.
-
-Alternatively, the contents of this file may be used under the terms of the
-GNU General Public License Version 2 or later (the "GPL"), in which case
-the provisions of the GPL are applicable instead of those above.
-If you wish to allow use of your version of this file only under the terms
-of the GPL and not to allow others to use your version of this file
-under the MPL, indicate your decision by deleting the provisions above and
-replace them with the notice and other provisions required by the GPL.
-If you do not delete the provisions above, a recipient may use your version
-of this file under either the MPL or the GPL.
-
-$Id: syneditstrconst.pp 37490 2012-06-02 21:19:37Z martin $
-
-You may retrieve the latest version of this file at the SynEdit home page,
-located at http://SynEdit.SourceForge.net
-
-Known Issues:
--------------------------------------------------------------------------------}
-
-unit SynEditStrConst;
-
-{$I synedit.inc}
-
-interface
-
-// NOTE: this is design-time stuff, so no need to have it in stringtables
-const
-  SYNS_ComponentsPage           =  'SynEdit';
-  SYNS_HighlightersPage         =  'SynEdit Highlighters';
-
-resourcestring
-  (* IMPORTANT
-     If you add any Names, also add a unique identifier to the list in the const section below
-  *)
-
-  (* Attribute Names *)
-  SYNS_Untitled                 =  'Untitled';
-  // names for highlighter attributes
-  SYNS_AttrASP                  =  'Asp';
-  SYNS_AttrCDATA                =  'CDATA';
-  SYNS_AttrAssembler            =  'Assembler';
-  SYNS_AttrAttributeName        =  'Attribute Name';
-  SYNS_AttrAttributeValue       =  'Attribute Value';
-  SYNS_AttrBlock                =  'Block';
-  SYNS_AttrBrackets             =  'Brackets';
-  SYNS_AttrCDATASection         =  'CDATA Section';
-  SYNS_AttrCharacter            =  'Character';
-  SYNS_AttrClass                =  'Class';
-  SYNS_AttrComment              =  'Comment';
-  SYNS_AttrIDEDirective         =  'IDE Directive';
-  SYNS_AttrCondition            =  'Condition';
-  SYNS_AttrDataType             =  'Data type';
-  SYNS_AttrDefaultPackage       =  'Default packages';
-  SYNS_AttrDir                  =  'Direction';
-  SYNS_AttrDirective            =  'Directive';
-  SYNS_AttrDOCTYPESection       =  'DOCTYPE Section';
-  SYNS_AttrDocumentation        =  'Documentation';
-  SYNS_AttrElementName          =  'Element Name';
-  SYNS_AttrEmbedSQL             =  'Embedded SQL';
-  SYNS_AttrEmbedText            =  'Embedded text';
-  SYNS_AttrEntityReference      =  'Entity Reference';
-  SYNS_AttrEscapeAmpersand      =  'Escape ampersand';
-  SYNS_AttrEvent                =  'Event';
-  SYNS_AttrException            =  'Exception';
-  SYNS_AttrFloat                =  'Float';
-  SYNS_AttrForm                 =  'Form';
-  SYNS_AttrFunction             =  'Function';
-  SYNS_AttrHexadecimal          =  'Hexadecimal';
-  SYNS_AttrIcon                 =  'Icon reference';
-  SYNS_AttrIdentifier           =  'Identifier';
-  SYNS_AttrIllegalChar          =  'Illegal char';
-  SYNS_AttrInclude              =  'Include';
-  SYNS_AttrIndirect             =  'Indirect';
-  SYNS_AttrInvalidSymbol        =  'Invalid symbol';
-  SYNS_AttrInternalFunction     =  'Internal function';
-  SYNS_AttrKey                  =  'Key';
-  SYNS_AttrLabel                =  'Label';
-  SYNS_AttrMacro                =  'Macro';
-  SYNS_AttrMarker               =  'Marker';
-  SYNS_AttrMessage              =  'Message';
-  SYNS_AttrMiscellaneous        =  'Miscellaneous';
-  SYNS_AttrNamespaceAttrName    =  'Namespace Attribute Name';
-  SYNS_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
-  SYNS_AttrNonReservedKeyword   =  'Non-reserved keyword';
-  SYNS_AttrNull                 =  'Null';
-  SYNS_AttrNumber               =  'Number';
-  SYNS_AttrOctal                =  'Octal';
-  SYNS_AttrOperator             =  'Operator';
-  SYNS_AttrPLSQL                =  'Reserved word (PL/SQL)';
-  SYNS_AttrPragma               =  'Pragma';
-  SYNS_AttrPreprocessor         =  'Preprocessor';
-  SYNS_AttrProcessingInstr      =  'Processing Instruction';
-  SYNS_AttrQualifier            =  'Qualifier';
-  SYNS_AttrRegister             =  'Register';
-  SYNS_AttrReservedWord         =  'Reserved word';
-  SYNS_AttrRpl                  =  'Rpl';
-  SYNS_AttrRplKey               =  'Rpl key';
-  SYNS_AttrRplComment           =  'Rpl comment';
-  SYNS_AttrSASM                 =  'SASM';
-  SYNS_AttrSASMComment          =  'SASM Comment';
-  SYNS_AttrSASMKey              =  'SASM Key';
-  SYNS_AttrSecondReservedWord   =  'Second reserved word';
-  SYNS_AttrSection              =  'Section';
-  SYNS_AttrSpace                =  'Space';
-  SYNS_AttrSpecialVariable      =  'Special variable';
-  SYNS_AttrSQLKey               =  'SQL keyword';  
-  SYNS_AttrSQLPlus              =  'SQL*Plus command';
-  SYNS_AttrString               =  'String';
-  SYNS_AttrSymbol               =  'Symbol';
-  SYNS_AttrCaseLabel            =  'Case label';
-  SYNS_AttrSyntaxError          =  'SyntaxError';
-  SYNS_AttrSystem               =  'System functions and variables';
-  SYNS_AttrSystemValue          =  'System value';
-  SYNS_AttrTerminator           =  'Terminator';
-  SYNS_AttrText                 =  'Text';
-  SYNS_AttrUnknownWord          =  'Unknown word';
-  SYNS_AttrUser                 =  'User functions and variables';
-  SYNS_AttrUserFunction         =  'User functions';
-  SYNS_AttrValue                =  'Value';
-  SYNS_AttrVariable             =  'Variable';
-  SYNS_AttrWhitespace           =  'Whitespace';
-  SYNS_AttrTableName            =  'Table Name';
-  SYNS_AttrMathMode             =  'Math Mode';
-  SYNS_AttrTextMathMode         =  'Text in Math Mode';
-  SYNS_AttrSquareBracket        =  'Square Bracket';
-  SYNS_AttrRoundBracket         =  'Round Bracket';
-  SYNS_AttrTeXCommand           =  'TeX Command';
-  SYNS_AttrOrigFile             =  'Diff Original File';
-  SYNS_AttrNewFile              =  'Diff New File';
-  SYNS_AttrChunkMarker          =  'Diff Chunk Marker';
-  SYNS_AttrChunkOrig            =  'Diff Chunk Original Line Count';
-  SYNS_AttrChunkNew             =  'Diff Chunk New Line Count';
-  SYNS_AttrChunkMixed           =  'Diff Chunk Line Counts';
-  SYNS_AttrLineAdded            =  'Diff Added line';
-  SYNS_AttrLineRemoved          =  'Diff Removed Line';
-  SYNS_AttrLineChanged          =  'Diff Changed Line';
-  SYNS_AttrLineContext          =  'Diff Context Line';
-  SYNS_AttrPrevValue            =  'Previous value';
-  SYNS_AttrFlags                =  'Flags';
-  (* End of Attribute Names *)
-
-const
-  (* IMPORTANT
-     The highlight attribute "StoredName" are the only independent
-     identification of Attributes.
-     They must be UNIQUE and UNCHANGED.
-
-  *)
-
-  (* Stored Attribute Names *)
-  SYNS_XML_Untitled                 =  'Untitled';
-  SYNS_XML_AttrASP                  =  'Asp';
-  SYNS_XML_AttrCDATA                =  'CDATA';
-  SYNS_XML_AttrAssembler            =  'Assembler';
-  SYNS_XML_AttrAttributeName        =  'Attribute Name';
-  SYNS_XML_AttrAttributeValue       =  'Attribute Value';
-  SYNS_XML_AttrBlock                =  'Block';
-  SYNS_XML_AttrBrackets             =  'Brackets';
-  SYNS_XML_AttrCDATASection         =  'CDATA Section';
-  SYNS_XML_AttrCharacter            =  'Character';
-  SYNS_XML_AttrClass                =  'Class';
-  SYNS_XML_AttrComment              =  'Comment';
-  SYNS_XML_AttrIDEDirective         =  'IDE Directive';
-  SYNS_XML_AttrCondition            =  'Condition';
-  SYNS_XML_AttrDataType             =  'Data type';
-  SYNS_XML_AttrDefaultPackage       =  'Default packages';
-  SYNS_XML_AttrDir                  =  'Direction';
-  SYNS_XML_AttrDirective            =  'Directive';
-  SYNS_XML_AttrDOCTYPESection       =  'DOCTYPE Section';
-  SYNS_XML_AttrDocumentation        =  'Documentation';
-  SYNS_XML_AttrElementName          =  'Element Name';
-  SYNS_XML_AttrEmbedSQL             =  'Embedded SQL';
-  SYNS_XML_AttrEmbedText            =  'Embedded text';
-  SYNS_XML_AttrEntityReference      =  'Entity Reference';
-  SYNS_XML_AttrEscapeAmpersand      =  'Escape ampersand';
-  SYNS_XML_AttrEvent                =  'Event';
-  SYNS_XML_AttrException            =  'Exception';
-  SYNS_XML_AttrFloat                =  'Float';
-  SYNS_XML_AttrForm                 =  'Form';
-  SYNS_XML_AttrFunction             =  'Function';
-  SYNS_XML_AttrHexadecimal          =  'Hexadecimal';
-  SYNS_XML_AttrIcon                 =  'Icon reference';
-  SYNS_XML_AttrIdentifier           =  'Identifier';
-  SYNS_XML_AttrIllegalChar          =  'Illegal char';
-  SYNS_XML_AttrInclude              =  'Include';
-  SYNS_XML_AttrIndirect             =  'Indirect';
-  SYNS_XML_AttrInvalidSymbol        =  'Invalid symbol';
-  SYNS_XML_AttrInternalFunction     =  'Internal function';
-  SYNS_XML_AttrKey                  =  'Key';
-  SYNS_XML_AttrLabel                =  'Label';
-  SYNS_XML_AttrMacro                =  'Macro';
-  SYNS_XML_AttrMarker               =  'Marker';
-  SYNS_XML_AttrMessage              =  'Message';
-  SYNS_XML_AttrMiscellaneous        =  'Miscellaneous';
-  SYNS_XML_AttrNamespaceAttrName    =  'Namespace Attribute Name';
-  SYNS_XML_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
-  SYNS_XML_AttrNonReservedKeyword   =  'Non-reserved keyword';
-  SYNS_XML_AttrNull                 =  'Null';
-  SYNS_XML_AttrNumber               =  'Number';
-  SYNS_XML_AttrOctal                =  'Octal';
-  SYNS_XML_AttrOperator             =  'Operator';
-  SYNS_XML_AttrPLSQL                =  'Reserved word (PL/SQL)';
-  SYNS_XML_AttrPragma               =  'Pragma';
-  SYNS_XML_AttrPreprocessor         =  'Preprocessor';
-  SYNS_XML_AttrProcessingInstr      =  'Processing Instruction';
-  SYNS_XML_AttrQualifier            =  'Qualifier';
-  SYNS_XML_AttrRegister             =  'Register';
-  SYNS_XML_AttrReservedWord         =  'Reserved word';
-  SYNS_XML_AttrRpl                  =  'Rpl';
-  SYNS_XML_AttrRplKey               =  'Rpl key';
-  SYNS_XML_AttrRplComment           =  'Rpl comment';
-  SYNS_XML_AttrSASM                 =  'SASM';
-  SYNS_XML_AttrSASMComment          =  'SASM Comment';
-  SYNS_XML_AttrSASMKey              =  'SASM Key';
-  SYNS_XML_AttrSecondReservedWord   =  'Second reserved word';
-  SYNS_XML_AttrSection              =  'Section';
-  SYNS_XML_AttrSpace                =  'Space';
-  SYNS_XML_AttrSpecialVariable      =  'Special variable';
-  SYNS_XML_AttrSQLKey               =  'SQL keyword';
-  SYNS_XML_AttrSQLPlus              =  'SQL*Plus command';
-  SYNS_XML_AttrString               =  'String';
-  SYNS_XML_AttrSymbol               =  'Symbol';
-  SYNS_XML_AttrCaseLabel            =  'Case label';
-  SYNS_XML_AttrSyntaxError          =  'SyntaxError';
-  SYNS_XML_AttrSystem               =  'System functions and variables';
-  SYNS_XML_AttrSystemValue          =  'System value';
-  SYNS_XML_AttrTerminator           =  'Terminator';
-  SYNS_XML_AttrText                 =  'Text';
-  SYNS_XML_AttrUnknownWord          =  'Unknown word';
-  SYNS_XML_AttrUser                 =  'User functions and variables';
-  SYNS_XML_AttrUserFunction         =  'User functions';
-  SYNS_XML_AttrValue                =  'Value';
-  SYNS_XML_AttrVariable             =  'Variable';
-  SYNS_XML_AttrWhitespace           =  'Whitespace';
-  SYNS_XML_AttrTableName            =  'Table Name';
-  SYNS_XML_AttrMathMode             =  'Math Mode';
-  SYNS_XML_AttrTextMathMode         =  'Text in Math Mode';
-  SYNS_XML_AttrSquareBracket        =  'Square Bracket';
-  SYNS_XML_AttrRoundBracket         =  'Round Bracket';
-  SYNS_XML_AttrTeXCommand           =  'TeX Command';
-  SYNS_XML_AttrOrigFile             =  'Diff Original File';
-  SYNS_XML_AttrNewFile              =  'Diff New File';
-  SYNS_XML_AttrChunkMarker          =  'Diff Chunk Marker';
-  SYNS_XML_AttrChunkOrig            =  'Diff Chunk Original Line Count';
-  SYNS_XML_AttrChunkNew             =  'Diff Chunk New Line Count';
-  SYNS_XML_AttrChunkMixed           =  'Diff Chunk Line Counts';
-  SYNS_XML_AttrLineAdded            =  'Diff Added line';
-  SYNS_XML_AttrLineRemoved          =  'Diff Removed Line';
-  SYNS_XML_AttrLineChanged          =  'Diff Changed Line';
-  SYNS_XML_AttrLineContext          =  'Diff Context Line';
-  SYNS_XML_AttrPrevValue            =  'Previous value';
-  SYNS_XML_AttrFlags                =  'Flags';
-  (* End of Stored Attribute Names *)
-
-resourcestring
-  // names of exporter output formats
-  SYNS_ExporterFormatHTML       =  'HTML';
-  SYNS_ExporterFormatRTF        =  'RTF';
-
-  // TCustomSynEdit scroll hint window caption
-//  SYNS_ScrollInfoFmt            =  'Top Line: %d';
-  SYNS_ScrollInfoFmt            =  '%d - %d';                                   //DDH 10/16/01
-  SYNS_ScrollInfoFmtTop         =  'Top Line: %d';
-  // TSynEditPrintPreview page number
-  SYNS_PreviewScrollInfoFmt     =  'Page: %d';
-
-  // strings for property editors etc
-  SYNS_EDuplicateShortcut       =  'Mouse-Shortcut already exists';
-  SYNS_ShortcutNone             =  '<none>';
-  SYNS_DuplicateShortcutMsg     =  'The keystroke "%s" is already assigned ' +
-                                   'to another editor command. (%s)';
-
-  // Filters used for open/save dialog
-  SYNS_FilterPascal             =  'Pascal Files (*.pas,*.dpr,*.dpk,*.inc)|*.pas;*.dpr;*.dpk;*.inc';
-  SYNS_FilterHP48               =  'HP48 Files (*.s,*.sou,*.a,*.hp)|*.s;*.sou;*.a;*.hp';
-  SYNS_FilterCAClipper          =  'CA-Clipper Files (*.prg,*.ch,*.inc)|*.prg;*.ch;*.inc';
-  SYNS_FilterCORBAIDL           =  'CORBA IDL files (*.idl)|*.idl';
-  SYNS_FilterCPM                =  'CPM reports (*.rdf,*.rif,*.rmf,*.rxf)|*.rdf;*.rif;*.rmf;*.rxf';
-  SYNS_FilterCPP                =  'C++ Files (*.c,*.cpp,*.h,*.hpp,*.hh)|*.c;*.cpp;*.h;*.hpp;*.hh';
-  SYNS_FilterJava               =  'Java Files (*.java)|*.java';
-  SYNS_FilterPerl               =  'Perl Files (*.pl,*.pm,*.cgi)|*.pl;*.pm;*.cgi';
-  SYNS_FilterAWK                =  'AWK Script (*.awk)|*.awk';
-  SYNS_FilterHTML               =  'HTML Document (*.htm,*.html)|*.htm;*.html';
-  SYNS_FilterVBScript           =  'VBScript Files (*.vbs)|*.vbs';
-  SYNS_FilterGalaxy             =  'Galaxy Files (*.gtv,*.galrep,*.txt)|*.gtv;*.galrep;*.txt';
-  SYNS_FilterPython             =  'Python Files (*.py)|*.py';
-  SYNS_FilterSQL                =  'SQL Files (*.sql)|*.sql';
-  SYNS_FilterTclTk              =  'Tcl/Tk Files (*.tcl)|*.tcl';
-  SYNS_FilterRTF                =  'Rich Text Format (*.rtf)|*.rtf';
-  SYNS_FilterBatch              =  'MS-DOS Batch Files (*.bat;*.cmd)|*.bat;*.cmd';
-  SYNS_FilterDFM                =  'Borland Form Files (*.dfm;*.xfm)|*.dfm;*.xfm';
-  SYNS_FilterLFM                =  'Lazarus Form Files (*.lfm)|*.lfm';
-  SYNS_FilterX86Asm             =  'x86 Assembly Files (*.asm)|*.ASM';
-  SYNS_FilterGembase            =  'GEMBASE Files (*.dml,*.gem)|*.DML;*.GEM';
-  SYNS_FilterINI                =  'INI Files (*.ini)|*.ini';
-  SYNS_FilterSML                =  'Standard ML Files (*.sml)|*.sml';
-  SYNS_FilterVisualBASIC        =  'Visual Basic Files (*.bas)|*.bas';
-  SYNS_FilterADSP21xx           =  'DSP Files (*.dsp,*.inc)|*.DSP;*.INC';
-  SYNS_FilterPHP                =  'PHP Files (*.php,*.php3,*.phtml,*.inc)|*.php;*.php3;*.phtml;*.inc';
-  SYNS_FilterCache              =  'Cache Files (*.mac,*.inc,*.int)|*.mac;*.inc;*.int';
-  SYNS_FilterCSS                =  'Cascading Stylesheets (*.css)|*.css';
-  SYNS_FilterJScript            =  'Javascript Files (*.js)|*.js';
-  SYNS_FilterKIX                =  'KiXtart scripts (*.kix)|*.kix';
-  SYNS_FilterBaan               =  'Baan 4GL Files (*.cln)|*.cln';
-  SYNS_FilterFoxpro             =  'Foxpro Files (*.prg)|*.prg';
-  SYNS_FilterFortran            =  'Fortran Files (*.for)|*.for';
-  SYNS_FilterAsm68HC11          =  '68HC11 Assembler Files (*.hc11,*.asm,*.asc)|*.HC11;*.ASM;*.ASC';
-  SYNS_FilterProgress           =  'Progress Files (*.w,*.p,*.i)|*.w;*.p;*.i';
-  SYNS_FilterInno               =  'Inno Setup Script Files (*.iss)|*.iss';
-  SYNS_FilterModelica           =  'Modelica Files (*.mo)|*.mo';
-  SYNS_FilterModula3            =  'Modula-3 Files (*.m3)|*.m3';
-  SYNS_FilterSDD                =  'Semanta DD files (*.sdd)|*.sdd';
-  SYNS_FilterXML                =  'XML Document (*.xml,*.xsd,*.xsl,*.xslt,*.dtd)|*.xml;*.xsd;*.xsl;*.xslt;*.dtd';
-  SYNS_FilterGWS                =  'GW-TEL Script Files (*.gws)|*.gws';
-  SYNS_FilterSynGenMsgfiles     =  'Msg files (*.msg)|*.msg';
-  SYNS_FilterUNIXShellScript    =  'UNIX Shell Scripts (*.sh)|*.sh';
-  SYNS_FilterTeX                =  'TeX Files (*.tex)|*.tex';
-  SYNS_FilterPo                 =  'Po Files (*.po)|*.po';
-
-// Currently the language names are used to identify the language
-// ToDo: create translation table
-const
-  // Language names. Maybe somebody wants them translated / more detailed...
-  SYNS_LangHP48                 =  'HP48';
-  SYNS_LangCAClipper            =  'CA-Clipper';
-  SYNS_LangCPM                  =  'COAS Product Manager report';
-  SYNS_LangCPP                  =  'C++';
-  SYNS_LangJava                 =  'Java';
-  SYNS_LangPerl                 =  'Perl';
-  SYNS_LangBatch                =  'MS-DOS batch language';
-  SYNS_LangDfm                  =  'Borland Form definition';
-  SYNS_LangLfm                  =  'Lazarus Form definition';
-  SYNS_LangDiff                 =  'Diff File';
-  SYNS_LangAWK                  =  'AWK Script';
-  SYNS_LangCORBAIDL             =  'CORBA IDL';
-  SYNS_LangHTML                 =  'HTML document';
-  SYNS_LangVBSScript            =  'MS VBScript';
-  SYNS_LangGalaxy               =  'Galaxy';
-  SYNS_LangGeneral              =  'General';
-  SYNS_LangPascal               =  'ObjectPascal';
-  SYNS_LangX86Asm               =  'x86 assembly language';
-  SYNS_LangPython               =  'Python';
-  SYNS_LangTclTk                =  'Tcl/Tk';
-  SYNS_LangSQL                  =  'SQL';
-  SYNS_LangGembase              =  'Gembase';
-  SYNS_LangINI                  =  'INI file';
-  SYNS_LangSML                  =  'Standard ML';
-  SYNS_LangVisualBASIC          =  'Visual Basic';
-  SYNS_LangADSP21xx             =  'ADSP21xx';
-  SYNS_LangPHP                  =  'PHP';
-  SYNS_LangSybaseSQL            =  'Sybase SQL';
-  SYNS_LangGeneralMulti         =  'General Multi-Highlighter';
-  SYNS_LangCache                =  'Cache Object script';
-  SYNS_LangCSS                  =  'Cascading style sheets';
-  SYNS_LangJScript              =  'Javascript';
-  SYNS_LangKIX                  =  'KiXtart script';
-  SYNS_LangBaan                 =  'Baan 4GL';
-  SYNS_LangFoxpro               =  'Foxpro';
-  SYNS_LangFortran              =  'Fortran';
-  SYNS_Lang68HC11               =  '68HC11 assembler';
-  SYNS_LangProgress             =  'Progress';
-  SYNS_LangInno                 =  'Inno Setup script';
-  SYNS_LangModelica             =  'Modelica';
-  SYNS_LangModula3              =  'Modula 3';
-  SYNS_LangSDD                  =  'Semanta data dictionary';
-  SYNS_LangXML                  =  'XML document';
-  SYNS_LangGWS                  =  'GW-TEL script';
-  SYNS_LangSynGenMsgfiles       =  'SynGen Msg files';
-  SYNS_LangUnreal               =  'Unreal';
-  SYNS_LangTeX                  =  'TeX';
-  SYNS_LangPo                  =  'po language files';
-
-resourcestring
-
-  SYNS_emcNone                     = 'No Action';
-  SYNS_emcStartSelection           = 'Selection';
-  SYNS_emcStartColumnSelections    = 'Column Selection';
-  SYNS_emcStartLineSelections      = 'Line Selection';
-  SYNS_emcSelection_opt            = 'Mode,Begin,Continue';
-  SYNS_emcSelectWord               = 'Select Word';
-  SYNS_emcSelectLine               = 'Select Line';
-  SYNS_emcSelectLine_opt           = '"Include spaces",no,yes';
-  SYNS_emcSelectPara               = 'Select Paragraph';
-  SYNS_emcStartDragMove            = 'Drag Selection';
-  SYNS_emcPasteSelection           = 'Quick Paste Selection';
-  SYNS_emcMouseLink                = 'Source Link';
-  SYNS_emcMouseLink_opt            = 'Underline,yes, no';
-  SYNS_emcContextMenu              = 'Popup Menu';
-  SYNS_emcBreakPointToggle         = 'Toggle Breakpoint';
-  SYNS_emcCodeFoldCollaps          = 'Fold Code';
-  SYNS_emcCodeFoldCollaps_opt      = 'Nodes,One,All,"At Caret","Current Node"';
-  SYNS_emcCodeFoldExpand           = 'Unfold Code';
-  SYNS_emcCodeFoldExpand_opt       = 'Nodes,One,All';
-  SYNS_emcCodeFoldContextMenu      = 'Fold Menu';
-  SYNS_emcSynEditCommand           = 'IDE Command';
-  SYNS_emcWheelScrollDown          = 'Wheel scroll down';
-  SYNS_emcWheelScrollUp            = 'Wheel scroll up';
-  SYNS_emcWheelHorizScrollDown     = 'Wheel scroll down (Horizontal)';
-  SYNS_emcWheelHorizScrollUp       = 'Wheel scroll up (Horizontal)';
-  SYNS_emcWheelVertScrollDown      = 'Wheel scroll down (Vertical)';
-  SYNS_emcWheelVertScrollUp        = 'Wheel scroll up (Vertical)';
-  SYNS_emcWheelZoomOut             = 'Wheel zoom out';
-  SYNS_emcWheelZoomIn              = 'Wheel zoom in';
-  SYNS_emcWheelZoomNorm            = 'Wheel zoom default';
-
-  SYNS_emcContextMenuCaretMove_opt = '"Move caret, when selection exists", Never, "Click outside", Always';
-  SYNS_emcWheelScroll_opt          = 'Speed,"System settings",Lines,Pages,"Pages (less one line)"';
-
-implementation
-
-end.
+{-------------------------------------------------------------------------------
+The contents of this file are subject to the Mozilla Public License
+Version 1.1 (the "License"); you may not use this file except in compliance
+with the License. You may obtain a copy of the License at
+http://www.mozilla.org/MPL/
+
+Software distributed under the License is distributed on an "AS IS" basis,
+WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
+the specific language governing rights and limitations under the License.
+
+The Original Code is: SynEditStrConst.pas, released 2000-04-07.
+The Original Code is based on mwLocalStr.pas by Michael Hieke, part of the
+mwEdit component suite.
+All Rights Reserved.
+
+Contributors to the SynEdit and mwEdit projects are listed in the
+Contributors.txt file.
+
+Alternatively, the contents of this file may be used under the terms of the
+GNU General Public License Version 2 or later (the "GPL"), in which case
+the provisions of the GPL are applicable instead of those above.
+If you wish to allow use of your version of this file only under the terms
+of the GPL and not to allow others to use your version of this file
+under the MPL, indicate your decision by deleting the provisions above and
+replace them with the notice and other provisions required by the GPL.
+If you do not delete the provisions above, a recipient may use your version
+of this file under either the MPL or the GPL.
+
+$Id$
+
+You may retrieve the latest version of this file at the SynEdit home page,
+located at http://SynEdit.SourceForge.net
+
+Known Issues:
+-------------------------------------------------------------------------------}
+
+unit SynEditStrConst;
+
+{$I synedit.inc}
+
+interface
+
+// NOTE: this is design-time stuff, so no need to have it in stringtables
+const
+  SYNS_ComponentsPage           =  'SynEdit';
+  SYNS_HighlightersPage         =  'SynEdit Highlighters';
+
+resourcestring
+  (* IMPORTANT
+     If you add any Names, also add a unique identifier to the list in the const section below
+  *)
+
+  (* Attribute Names *)
+  SYNS_Untitled                 =  'Untitled';
+  // names for highlighter attributes
+  SYNS_AttrASP                  =  'Asp';
+  SYNS_AttrCDATA                =  'CDATA';
+  SYNS_AttrDOCTYPE              =  'DOCTYPE';
+  SYNS_AttrAssembler            =  'Assembler';
+  SYNS_AttrAttributeName        =  'Attribute Name';
+  SYNS_AttrAttributeValue       =  'Attribute Value';
+  SYNS_AttrBlock                =  'Block';
+  SYNS_AttrBrackets             =  'Brackets';
+  SYNS_AttrCDATASection         =  'CDATA Section';
+  SYNS_AttrCharacter            =  'Character';
+  SYNS_AttrClass                =  'Class';
+  SYNS_AttrComment              =  'Comment';
+  SYNS_AttrIDEDirective         =  'IDE Directive';
+  SYNS_AttrCondition            =  'Condition';
+  SYNS_AttrDataType             =  'Data type';
+  SYNS_AttrDefaultPackage       =  'Default packages';
+  SYNS_AttrDir                  =  'Direction';
+  SYNS_AttrDirective            =  'Directive';
+  SYNS_AttrDOCTYPESection       =  'DOCTYPE Section';
+  SYNS_AttrDocumentation        =  'Documentation';
+  SYNS_AttrElementName          =  'Element Name';
+  SYNS_AttrEmbedSQL             =  'Embedded SQL';
+  SYNS_AttrEmbedText            =  'Embedded text';
+  SYNS_AttrEntityReference      =  'Entity Reference';
+  SYNS_AttrEscapeAmpersand      =  'Escape ampersand';
+  SYNS_AttrEvent                =  'Event';
+  SYNS_AttrException            =  'Exception';
+  SYNS_AttrFloat                =  'Float';
+  SYNS_AttrForm                 =  'Form';
+  SYNS_AttrFunction             =  'Function';
+  SYNS_AttrHexadecimal          =  'Hexadecimal';
+  SYNS_AttrIcon                 =  'Icon reference';
+  SYNS_AttrIdentifier           =  'Identifier';
+  SYNS_AttrIllegalChar          =  'Illegal char';
+  SYNS_AttrInclude              =  'Include';
+  SYNS_AttrIndirect             =  'Indirect';
+  SYNS_AttrInvalidSymbol        =  'Invalid symbol';
+  SYNS_AttrInternalFunction     =  'Internal function';
+  SYNS_AttrKey                  =  'Key';
+  SYNS_AttrLabel                =  'Label';
+  SYNS_AttrMacro                =  'Macro';
+  SYNS_AttrMarker               =  'Marker';
+  SYNS_AttrMessage              =  'Message';
+  SYNS_AttrMiscellaneous        =  'Miscellaneous';
+  SYNS_AttrNamespaceAttrName    =  'Namespace Attribute Name';
+  SYNS_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
+  SYNS_AttrNonReservedKeyword   =  'Non-reserved keyword';
+  SYNS_AttrNull                 =  'Null';
+  SYNS_AttrNumber               =  'Number';
+  SYNS_AttrOctal                =  'Octal';
+  SYNS_AttrOperator             =  'Operator';
+  SYNS_AttrPLSQL                =  'Reserved word (PL/SQL)';
+  SYNS_AttrPragma               =  'Pragma';
+  SYNS_AttrPreprocessor         =  'Preprocessor';
+  SYNS_AttrProcessingInstr      =  'Processing Instruction';
+  SYNS_AttrQualifier            =  'Qualifier';
+  SYNS_AttrRegister             =  'Register';
+  SYNS_AttrReservedWord         =  'Reserved word';
+  SYNS_AttrRpl                  =  'Rpl';
+  SYNS_AttrRplKey               =  'Rpl key';
+  SYNS_AttrRplComment           =  'Rpl comment';
+  SYNS_AttrSASM                 =  'SASM';
+  SYNS_AttrSASMComment          =  'SASM Comment';
+  SYNS_AttrSASMKey              =  'SASM Key';
+  SYNS_AttrSecondReservedWord   =  'Second reserved word';
+  SYNS_AttrSection              =  'Section';
+  SYNS_AttrSpace                =  'Space';
+  SYNS_AttrSpecialVariable      =  'Special variable';
+  SYNS_AttrSQLKey               =  'SQL keyword';  
+  SYNS_AttrSQLPlus              =  'SQL*Plus command';
+  SYNS_AttrString               =  'String';
+  SYNS_AttrSymbol               =  'Symbol';
+  SYNS_AttrCaseLabel            =  'Case label';
+  SYNS_AttrSyntaxError          =  'SyntaxError';
+  SYNS_AttrSystem               =  'System functions and variables';
+  SYNS_AttrSystemValue          =  'System value';
+  SYNS_AttrTerminator           =  'Terminator';
+  SYNS_AttrText                 =  'Text';
+  SYNS_AttrUnknownWord          =  'Unknown word';
+  SYNS_AttrUser                 =  'User functions and variables';
+  SYNS_AttrUserFunction         =  'User functions';
+  SYNS_AttrValue                =  'Value';
+  SYNS_AttrVariable             =  'Variable';
+  SYNS_AttrWhitespace           =  'Whitespace';
+  SYNS_AttrTableName            =  'Table Name';
+  SYNS_AttrMathMode             =  'Math Mode';
+  SYNS_AttrTextMathMode         =  'Text in Math Mode';
+  SYNS_AttrSquareBracket        =  'Square Bracket';
+  SYNS_AttrRoundBracket         =  'Round Bracket';
+  SYNS_AttrTeXCommand           =  'TeX Command';
+  SYNS_AttrOrigFile             =  'Diff Original File';
+  SYNS_AttrNewFile              =  'Diff New File';
+  SYNS_AttrChunkMarker          =  'Diff Chunk Marker';
+  SYNS_AttrChunkOrig            =  'Diff Chunk Original Line Count';
+  SYNS_AttrChunkNew             =  'Diff Chunk New Line Count';
+  SYNS_AttrChunkMixed           =  'Diff Chunk Line Counts';
+  SYNS_AttrLineAdded            =  'Diff Added line';
+  SYNS_AttrLineRemoved          =  'Diff Removed Line';
+  SYNS_AttrLineChanged          =  'Diff Changed Line';
+  SYNS_AttrLineContext          =  'Diff Context Line';
+  SYNS_AttrPrevValue            =  'Previous value';
+  SYNS_AttrFlags                =  'Flags';
+  (* End of Attribute Names *)
+
+const
+  (* IMPORTANT
+     The highlight attribute "StoredName" are the only independent
+     identification of Attributes.
+     They must be UNIQUE and UNCHANGED.
+
+  *)
+
+  (* Stored Attribute Names *)
+  SYNS_XML_Untitled                 =  'Untitled';
+  SYNS_XML_AttrASP                  =  'Asp';
+  SYNS_XML_AttrCDATA                =  'CDATA';
+  SYNS_XML_AttrDOCTYPE              =  'DOCTYPE';
+  SYNS_XML_AttrAssembler            =  'Assembler';
+  SYNS_XML_AttrAttributeName        =  'Attribute Name';
+  SYNS_XML_AttrAttributeValue       =  'Attribute Value';
+  SYNS_XML_AttrBlock                =  'Block';
+  SYNS_XML_AttrBrackets             =  'Brackets';
+  SYNS_XML_AttrCDATASection         =  'CDATA Section';
+  SYNS_XML_AttrCharacter            =  'Character';
+  SYNS_XML_AttrClass                =  'Class';
+  SYNS_XML_AttrComment              =  'Comment';
+  SYNS_XML_AttrIDEDirective         =  'IDE Directive';
+  SYNS_XML_AttrCondition            =  'Condition';
+  SYNS_XML_AttrDataType             =  'Data type';
+  SYNS_XML_AttrDefaultPackage       =  'Default packages';
+  SYNS_XML_AttrDir                  =  'Direction';
+  SYNS_XML_AttrDirective            =  'Directive';
+  SYNS_XML_AttrDOCTYPESection       =  'DOCTYPE Section';
+  SYNS_XML_AttrDocumentation        =  'Documentation';
+  SYNS_XML_AttrElementName          =  'Element Name';
+  SYNS_XML_AttrEmbedSQL             =  'Embedded SQL';
+  SYNS_XML_AttrEmbedText            =  'Embedded text';
+  SYNS_XML_AttrEntityReference      =  'Entity Reference';
+  SYNS_XML_AttrEscapeAmpersand      =  'Escape ampersand';
+  SYNS_XML_AttrEvent                =  'Event';
+  SYNS_XML_AttrException            =  'Exception';
+  SYNS_XML_AttrFloat                =  'Float';
+  SYNS_XML_AttrForm                 =  'Form';
+  SYNS_XML_AttrFunction             =  'Function';
+  SYNS_XML_AttrHexadecimal          =  'Hexadecimal';
+  SYNS_XML_AttrIcon                 =  'Icon reference';
+  SYNS_XML_AttrIdentifier           =  'Identifier';
+  SYNS_XML_AttrIllegalChar          =  'Illegal char';
+  SYNS_XML_AttrInclude              =  'Include';
+  SYNS_XML_AttrIndirect             =  'Indirect';
+  SYNS_XML_AttrInvalidSymbol        =  'Invalid symbol';
+  SYNS_XML_AttrInternalFunction     =  'Internal function';
+  SYNS_XML_AttrKey                  =  'Key';
+  SYNS_XML_AttrLabel                =  'Label';
+  SYNS_XML_AttrMacro                =  'Macro';
+  SYNS_XML_AttrMarker               =  'Marker';
+  SYNS_XML_AttrMessage              =  'Message';
+  SYNS_XML_AttrMiscellaneous        =  'Miscellaneous';
+  SYNS_XML_AttrNamespaceAttrName    =  'Namespace Attribute Name';
+  SYNS_XML_AttrNamespaceAttrValue   =  'Namespace Attribute Value';
+  SYNS_XML_AttrNonReservedKeyword   =  'Non-reserved keyword';
+  SYNS_XML_AttrNull                 =  'Null';
+  SYNS_XML_AttrNumber               =  'Number';
+  SYNS_XML_AttrOctal                =  'Octal';
+  SYNS_XML_AttrOperator             =  'Operator';
+  SYNS_XML_AttrPLSQL                =  'Reserved word (PL/SQL)';
+  SYNS_XML_AttrPragma               =  'Pragma';
+  SYNS_XML_AttrPreprocessor         =  'Preprocessor';
+  SYNS_XML_AttrProcessingInstr      =  'Processing Instruction';
+  SYNS_XML_AttrQualifier            =  'Qualifier';
+  SYNS_XML_AttrRegister             =  'Register';
+  SYNS_XML_AttrReservedWord         =  'Reserved word';
+  SYNS_XML_AttrRpl                  =  'Rpl';
+  SYNS_XML_AttrRplKey               =  'Rpl key';
+  SYNS_XML_AttrRplComment           =  'Rpl comment';
+  SYNS_XML_AttrSASM                 =  'SASM';
+  SYNS_XML_AttrSASMComment          =  'SASM Comment';
+  SYNS_XML_AttrSASMKey              =  'SASM Key';
+  SYNS_XML_AttrSecondReservedWord   =  'Second reserved word';
+  SYNS_XML_AttrSection              =  'Section';
+  SYNS_XML_AttrSpace                =  'Space';
+  SYNS_XML_AttrSpecialVariable      =  'Special variable';
+  SYNS_XML_AttrSQLKey               =  'SQL keyword';
+  SYNS_XML_AttrSQLPlus              =  'SQL*Plus command';
+  SYNS_XML_AttrString               =  'String';
+  SYNS_XML_AttrSymbol               =  'Symbol';
+  SYNS_XML_AttrCaseLabel            =  'Case label';
+  SYNS_XML_AttrSyntaxError          =  'SyntaxError';
+  SYNS_XML_AttrSystem               =  'System functions and variables';
+  SYNS_XML_AttrSystemValue          =  'System value';
+  SYNS_XML_AttrTerminator           =  'Terminator';
+  SYNS_XML_AttrText                 =  'Text';
+  SYNS_XML_AttrUnknownWord          =  'Unknown word';
+  SYNS_XML_AttrUser                 =  'User functions and variables';
+  SYNS_XML_AttrUserFunction         =  'User functions';
+  SYNS_XML_AttrValue                =  'Value';
+  SYNS_XML_AttrVariable             =  'Variable';
+  SYNS_XML_AttrWhitespace           =  'Whitespace';
+  SYNS_XML_AttrTableName            =  'Table Name';
+  SYNS_XML_AttrMathMode             =  'Math Mode';
+  SYNS_XML_AttrTextMathMode         =  'Text in Math Mode';
+  SYNS_XML_AttrSquareBracket        =  'Square Bracket';
+  SYNS_XML_AttrRoundBracket         =  'Round Bracket';
+  SYNS_XML_AttrTeXCommand           =  'TeX Command';
+  SYNS_XML_AttrOrigFile             =  'Diff Original File';
+  SYNS_XML_AttrNewFile              =  'Diff New File';
+  SYNS_XML_AttrChunkMarker          =  'Diff Chunk Marker';
+  SYNS_XML_AttrChunkOrig            =  'Diff Chunk Original Line Count';
+  SYNS_XML_AttrChunkNew             =  'Diff Chunk New Line Count';
+  SYNS_XML_AttrChunkMixed           =  'Diff Chunk Line Counts';
+  SYNS_XML_AttrLineAdded            =  'Diff Added line';
+  SYNS_XML_AttrLineRemoved          =  'Diff Removed Line';
+  SYNS_XML_AttrLineChanged          =  'Diff Changed Line';
+  SYNS_XML_AttrLineContext          =  'Diff Context Line';
+  SYNS_XML_AttrPrevValue            =  'Previous value';
+  SYNS_XML_AttrFlags                =  'Flags';
+  (* End of Stored Attribute Names *)
+
+resourcestring
+  // names of exporter output formats
+  SYNS_ExporterFormatHTML       =  'HTML';
+  SYNS_ExporterFormatRTF        =  'RTF';
+
+  // TCustomSynEdit scroll hint window caption
+//  SYNS_ScrollInfoFmt            =  'Top Line: %d';
+  SYNS_ScrollInfoFmt            =  '%d - %d';                                   //DDH 10/16/01
+  SYNS_ScrollInfoFmtTop         =  'Top Line: %d';
+  // TSynEditPrintPreview page number
+  SYNS_PreviewScrollInfoFmt     =  'Page: %d';
+
+  // strings for property editors etc
+  SYNS_EDuplicateShortcut       =  'Mouse-Shortcut already exists';
+  SYNS_ShortcutNone             =  '<none>';
+  SYNS_DuplicateShortcutMsg     =  'The keystroke "%s" is already assigned ' +
+                                   'to another editor command. (%s)';
+
+  // Filters used for open/save dialog
+  SYNS_FilterPascal             =  'Pascal Files (*.pas,*.dpr,*.dpk,*.inc)|*.pas;*.dpr;*.dpk;*.inc';
+  SYNS_FilterHP48               =  'HP48 Files (*.s,*.sou,*.a,*.hp)|*.s;*.sou;*.a;*.hp';
+  SYNS_FilterCAClipper          =  'CA-Clipper Files (*.prg,*.ch,*.inc)|*.prg;*.ch;*.inc';
+  SYNS_FilterCORBAIDL           =  'CORBA IDL files (*.idl)|*.idl';
+  SYNS_FilterCPM                =  'CPM reports (*.rdf,*.rif,*.rmf,*.rxf)|*.rdf;*.rif;*.rmf;*.rxf';
+  SYNS_FilterCPP                =  'C++ Files (*.c,*.cpp,*.h,*.hpp,*.hh)|*.c;*.cpp;*.h;*.hpp;*.hh';
+  SYNS_FilterJava               =  'Java Files (*.java)|*.java';
+  SYNS_FilterPerl               =  'Perl Files (*.pl,*.pm,*.cgi)|*.pl;*.pm;*.cgi';
+  SYNS_FilterAWK                =  'AWK Script (*.awk)|*.awk';
+  SYNS_FilterHTML               =  'HTML Document (*.htm,*.html)|*.htm;*.html';
+  SYNS_FilterVBScript           =  'VBScript Files (*.vbs)|*.vbs';
+  SYNS_FilterGalaxy             =  'Galaxy Files (*.gtv,*.galrep,*.txt)|*.gtv;*.galrep;*.txt';
+  SYNS_FilterPython             =  'Python Files (*.py)|*.py';
+  SYNS_FilterSQL                =  'SQL Files (*.sql)|*.sql';
+  SYNS_FilterTclTk              =  'Tcl/Tk Files (*.tcl)|*.tcl';
+  SYNS_FilterRTF                =  'Rich Text Format (*.rtf)|*.rtf';
+  SYNS_FilterBatch              =  'MS-DOS Batch Files (*.bat;*.cmd)|*.bat;*.cmd';
+  SYNS_FilterDFM                =  'Borland Form Files (*.dfm;*.xfm)|*.dfm;*.xfm';
+  SYNS_FilterLFM                =  'Lazarus Form Files (*.lfm)|*.lfm';
+  SYNS_FilterX86Asm             =  'x86 Assembly Files (*.asm)|*.ASM';
+  SYNS_FilterGembase            =  'GEMBASE Files (*.dml,*.gem)|*.DML;*.GEM';
+  SYNS_FilterINI                =  'INI Files (*.ini)|*.ini';
+  SYNS_FilterSML                =  'Standard ML Files (*.sml)|*.sml';
+  SYNS_FilterVisualBASIC        =  'Visual Basic Files (*.bas)|*.bas';
+  SYNS_FilterADSP21xx           =  'DSP Files (*.dsp,*.inc)|*.DSP;*.INC';
+  SYNS_FilterPHP                =  'PHP Files (*.php,*.php3,*.phtml,*.inc)|*.php;*.php3;*.phtml;*.inc';
+  SYNS_FilterCache              =  'Cache Files (*.mac,*.inc,*.int)|*.mac;*.inc;*.int';
+  SYNS_FilterCSS                =  'Cascading Stylesheets (*.css)|*.css';
+  SYNS_FilterJScript            =  'Javascript Files (*.js)|*.js';
+  SYNS_FilterKIX                =  'KiXtart scripts (*.kix)|*.kix';
+  SYNS_FilterBaan               =  'Baan 4GL Files (*.cln)|*.cln';
+  SYNS_FilterFoxpro             =  'Foxpro Files (*.prg)|*.prg';
+  SYNS_FilterFortran            =  'Fortran Files (*.for)|*.for';
+  SYNS_FilterAsm68HC11          =  '68HC11 Assembler Files (*.hc11,*.asm,*.asc)|*.HC11;*.ASM;*.ASC';
+  SYNS_FilterProgress           =  'Progress Files (*.w,*.p,*.i)|*.w;*.p;*.i';
+  SYNS_FilterInno               =  'Inno Setup Script Files (*.iss)|*.iss';
+  SYNS_FilterModelica           =  'Modelica Files (*.mo)|*.mo';
+  SYNS_FilterModula3            =  'Modula-3 Files (*.m3)|*.m3';
+  SYNS_FilterSDD                =  'Semanta DD files (*.sdd)|*.sdd';
+  SYNS_FilterXML                =  'XML Document (*.xml,*.xsd,*.xsl,*.xslt,*.dtd)|*.xml;*.xsd;*.xsl;*.xslt;*.dtd';
+  SYNS_FilterGWS                =  'GW-TEL Script Files (*.gws)|*.gws';
+  SYNS_FilterSynGenMsgfiles     =  'Msg files (*.msg)|*.msg';
+  SYNS_FilterUNIXShellScript    =  'UNIX Shell Scripts (*.sh)|*.sh';
+  SYNS_FilterTeX                =  'TeX Files (*.tex)|*.tex';
+  SYNS_FilterPo                 =  'Po Files (*.po)|*.po';
+
+// Currently the language names are used to identify the language
+// ToDo: create translation table
+const
+  // Language names. Maybe somebody wants them translated / more detailed...
+  SYNS_LangHP48                 =  'HP48';
+  SYNS_LangCAClipper            =  'CA-Clipper';
+  SYNS_LangCPM                  =  'COAS Product Manager report';
+  SYNS_LangCPP                  =  'C++';
+  SYNS_LangJava                 =  'Java';
+  SYNS_LangPerl                 =  'Perl';
+  SYNS_LangBatch                =  'MS-DOS batch language';
+  SYNS_LangDfm                  =  'Borland Form definition';
+  SYNS_LangLfm                  =  'Lazarus Form definition';
+  SYNS_LangDiff                 =  'Diff File';
+  SYNS_LangAWK                  =  'AWK Script';
+  SYNS_LangCORBAIDL             =  'CORBA IDL';
+  SYNS_LangHTML                 =  'HTML document';
+  SYNS_LangVBSScript            =  'MS VBScript';
+  SYNS_LangGalaxy               =  'Galaxy';
+  SYNS_LangGeneral              =  'General';
+  SYNS_LangPascal               =  'ObjectPascal';
+  SYNS_LangX86Asm               =  'x86 assembly language';
+  SYNS_LangPython               =  'Python';
+  SYNS_LangTclTk                =  'Tcl/Tk';
+  SYNS_LangSQL                  =  'SQL';
+  SYNS_LangGembase              =  'Gembase';
+  SYNS_LangINI                  =  'INI file';
+  SYNS_LangSML                  =  'Standard ML';
+  SYNS_LangVisualBASIC          =  'Visual Basic';
+  SYNS_LangADSP21xx             =  'ADSP21xx';
+  SYNS_LangPHP                  =  'PHP';
+  SYNS_LangSybaseSQL            =  'Sybase SQL';
+  SYNS_LangGeneralMulti         =  'General Multi-Highlighter';
+  SYNS_LangCache                =  'Cache Object script';
+  SYNS_LangCSS                  =  'Cascading style sheets';
+  SYNS_LangJScript              =  'Javascript';
+  SYNS_LangKIX                  =  'KiXtart script';
+  SYNS_LangBaan                 =  'Baan 4GL';
+  SYNS_LangFoxpro               =  'Foxpro';
+  SYNS_LangFortran              =  'Fortran';
+  SYNS_Lang68HC11               =  '68HC11 assembler';
+  SYNS_LangProgress             =  'Progress';
+  SYNS_LangInno                 =  'Inno Setup script';
+  SYNS_LangModelica             =  'Modelica';
+  SYNS_LangModula3              =  'Modula 3';
+  SYNS_LangSDD                  =  'Semanta data dictionary';
+  SYNS_LangXML                  =  'XML document';
+  SYNS_LangGWS                  =  'GW-TEL script';
+  SYNS_LangSynGenMsgfiles       =  'SynGen Msg files';
+  SYNS_LangUnreal               =  'Unreal';
+  SYNS_LangTeX                  =  'TeX';
+  SYNS_LangPo                  =  'po language files';
+
+resourcestring
+
+  SYNS_emcNone                     = 'No Action';
+  SYNS_emcStartSelection           = 'Selection';
+  SYNS_emcStartColumnSelections    = 'Column Selection';
+  SYNS_emcStartLineSelections      = 'Line Selection';
+  SYNS_emcSelection_opt            = 'Mode,Begin,Continue';
+  SYNS_emcSelectWord               = 'Select Word';
+  SYNS_emcSelectLine               = 'Select Line';
+  SYNS_emcSelectLine_opt           = '"Include spaces",no,yes';
+  SYNS_emcSelectPara               = 'Select Paragraph';
+  SYNS_emcStartDragMove            = 'Drag Selection';
+  SYNS_emcPasteSelection           = 'Quick Paste Selection';
+  SYNS_emcMouseLink                = 'Source Link';
+  SYNS_emcMouseLink_opt            = 'Underline,yes, no';
+  SYNS_emcContextMenu              = 'Popup Menu';
+  SYNS_emcBreakPointToggle         = 'Toggle Breakpoint';
+  SYNS_emcCodeFoldCollaps          = 'Fold Code';
+  SYNS_emcCodeFoldCollaps_opt      = 'Nodes,One,All,"At Caret","Current Node"';
+  SYNS_emcCodeFoldExpand           = 'Unfold Code';
+  SYNS_emcCodeFoldExpand_opt       = 'Nodes,One,All';
+  SYNS_emcCodeFoldContextMenu      = 'Fold Menu';
+  SYNS_emcSynEditCommand           = 'IDE Command';
+  SYNS_emcWheelScrollDown          = 'Wheel scroll down';
+  SYNS_emcWheelScrollUp            = 'Wheel scroll up';
+  SYNS_emcWheelHorizScrollDown     = 'Wheel scroll down (Horizontal)';
+  SYNS_emcWheelHorizScrollUp       = 'Wheel scroll up (Horizontal)';
+  SYNS_emcWheelVertScrollDown      = 'Wheel scroll down (Vertical)';
+  SYNS_emcWheelVertScrollUp        = 'Wheel scroll up (Vertical)';
+  SYNS_emcWheelZoomOut             = 'Wheel zoom out';
+  SYNS_emcWheelZoomIn              = 'Wheel zoom in';
+  SYNS_emcWheelZoomNorm            = 'Wheel zoom default';
+
+  SYNS_emcContextMenuCaretMove_opt = '"Move caret, when selection exists", Never, "Click outside", Always';
+  SYNS_emcWheelScroll_opt          = 'Speed,"System settings",Lines,Pages,"Pages (less one line)"';
+
+implementation
+
+end.
syneditstrconst_new.patch (45,432 bytes)

Martin Friebe

2012-12-16 20:30

manager   ~0064341

Please test, and close if ok.

Note the IDE has its own defaults for colors, and does not take the hardcoded settings from Create. So if you want to use that in the IDE then you must update your color scheme.

If you whish to make a patch, IDE default values are stored in 5 xml files in the ide directory. To see the new needed settings, you can compare with an export of your settings. Ensure only to merge relevant info.

If you want to recompile them into your IDE (not needed for patch) you need to rebuild the resource files.

Issue History

Date Modified Username Field Change
2012-12-16 13:32 Janusz Tomczak New Issue
2012-12-16 13:32 Janusz Tomczak File Added: synhighlighterhtml_new.patch
2012-12-16 15:27 Martin Friebe Status new => assigned
2012-12-16 15:27 Martin Friebe Assigned To => Martin Friebe
2012-12-16 15:45 Martin Friebe LazTarget => -
2012-12-16 15:45 Martin Friebe Note Added: 0064335
2012-12-16 15:45 Martin Friebe Status assigned => feedback
2012-12-16 17:19 Janusz Tomczak File Added: synhighlighterhtml_new2.patch
2012-12-16 17:19 Janusz Tomczak File Added: syneditstrconst_new.patch
2012-12-16 20:30 Martin Friebe Fixed in Revision => 39562
2012-12-16 20:30 Martin Friebe LazTarget - => 1.2
2012-12-16 20:30 Martin Friebe Status feedback => resolved
2012-12-16 20:30 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-12-16 20:30 Martin Friebe Resolution open => fixed
2012-12-16 20:30 Martin Friebe Note Added: 0064341
2012-12-16 20:30 Martin Friebe Target Version => 1.2.0
2012-12-21 23:44 Janusz Tomczak Status resolved => closed